# coding: utf-8

# flake8: noqa

"""
    Weather Source Climatology API

    Daily and hourly climatological weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Climatology API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

# import apis into sdk package
from swagger_client.api.dmas_api import DmasApi
from swagger_client.api.onpoints_api import OnpointsApi
from swagger_client.api.points_api import PointsApi
from swagger_client.api.postcodes_api import PostcodesApi
# import ApiClient
from swagger_client.api_client import ApiClient
from swagger_client.configuration import Configuration
# import models into sdk package
from swagger_client.models.bounding_points import BoundingPoints
from swagger_client.models.bounding_points_inner import BoundingPointsInner
from swagger_client.models.cld_cvr import CldCvr
from swagger_client.models.cld_cvr_avg import CldCvrAvg
from swagger_client.models.cld_cvr_avg_sd import CldCvrAvgSd
from swagger_client.models.cld_cvr_max import CldCvrMax
from swagger_client.models.cld_cvr_max_sd import CldCvrMaxSd
from swagger_client.models.cld_cvr_min import CldCvrMin
from swagger_client.models.cld_cvr_min_sd import CldCvrMinSd
from swagger_client.models.cld_cvr_sd import CldCvrSd
from swagger_client.models.climatology_day_arr import ClimatologyDayArr
from swagger_client.models.climatology_day_obj import ClimatologyDayObj
from swagger_client.models.climatology_dma_day_obj import ClimatologyDmaDayObj
from swagger_client.models.climatology_dma_hour_obj import ClimatologyDmaHourObj
from swagger_client.models.climatology_hour_arr import ClimatologyHourArr
from swagger_client.models.climatology_hour_obj import ClimatologyHourObj
from swagger_client.models.climatology_onpoint_day_obj import ClimatologyOnpointDayObj
from swagger_client.models.climatology_onpoint_hour_obj import ClimatologyOnpointHourObj
from swagger_client.models.climatology_point_day_obj import ClimatologyPointDayObj
from swagger_client.models.climatology_point_hour_obj import ClimatologyPointHourObj
from swagger_client.models.climatology_postcode_day_obj import ClimatologyPostcodeDayObj
from swagger_client.models.climatology_postcode_hour_obj import ClimatologyPostcodeHourObj
from swagger_client.models.country_code import CountryCode
from swagger_client.models.country_name import CountryName
from swagger_client.models.date_end import DateEnd
from swagger_client.models.date_range_obj import DateRangeObj
from swagger_client.models.date_start import DateStart
from swagger_client.models.dew_pt import DewPt
from swagger_client.models.dew_pt_avg import DewPtAvg
from swagger_client.models.dew_pt_avg_sd import DewPtAvgSd
from swagger_client.models.dew_pt_max import DewPtMax
from swagger_client.models.dew_pt_max_sd import DewPtMaxSd
from swagger_client.models.dew_pt_min import DewPtMin
from swagger_client.models.dew_pt_min_sd import DewPtMinSd
from swagger_client.models.dew_pt_sd import DewPtSd
from swagger_client.models.distance import Distance
from swagger_client.models.distance_pop import DistancePop
from swagger_client.models.dma_id import DmaId
from swagger_client.models.dma_name import DmaName
from swagger_client.models.dma_obj import DmaObj
from swagger_client.models.error_obj import ErrorObj
from swagger_client.models.feels_like import FeelsLike
from swagger_client.models.feels_like_avg import FeelsLikeAvg
from swagger_client.models.feels_like_avg_sd import FeelsLikeAvgSd
from swagger_client.models.feels_like_max import FeelsLikeMax
from swagger_client.models.feels_like_max_sd import FeelsLikeMaxSd
from swagger_client.models.feels_like_min import FeelsLikeMin
from swagger_client.models.feels_like_min_sd import FeelsLikeMinSd
from swagger_client.models.feels_like_sd import FeelsLikeSd
from swagger_client.models.field_list_day_obj import FieldListDayObj
from swagger_client.models.field_list_hour_obj import FieldListHourObj
from swagger_client.models.fields import Fields
from swagger_client.models.grid import Grid
from swagger_client.models.latitude import Latitude
from swagger_client.models.longitude import Longitude
from swagger_client.models.model_date import ModelDate
from swagger_client.models.msl_pres import MslPres
from swagger_client.models.msl_pres_avg import MslPresAvg
from swagger_client.models.msl_pres_avg_sd import MslPresAvgSd
from swagger_client.models.msl_pres_max import MslPresMax
from swagger_client.models.msl_pres_max_sd import MslPresMaxSd
from swagger_client.models.msl_pres_min import MslPresMin
from swagger_client.models.msl_pres_min_sd import MslPresMinSd
from swagger_client.models.msl_pres_sd import MslPresSd
from swagger_client.models.onpoint_id import OnpointId
from swagger_client.models.onpoint_obj import OnpointObj
from swagger_client.models.point_obj import PointObj
from swagger_client.models.population import Population
from swagger_client.models.postcode import Postcode
from swagger_client.models.postcode_obj import PostcodeObj
from swagger_client.models.precip import Precip
from swagger_client.models.precip_freq import PrecipFreq
from swagger_client.models.precip_freq0 import PrecipFreq0
from swagger_client.models.precip_freq001_to009 import PrecipFreq001To009
from swagger_client.models.precip_freq010_to024 import PrecipFreq010To024
from swagger_client.models.precip_freq025_to049 import PrecipFreq025To049
from swagger_client.models.precip_freq050_to099 import PrecipFreq050To099
from swagger_client.models.precip_freq100_to249 import PrecipFreq100To249
from swagger_client.models.precip_freq250_to499 import PrecipFreq250To499
from swagger_client.models.precip_freq500_plus import PrecipFreq500Plus
from swagger_client.models.precip_sd import PrecipSd
from swagger_client.models.rad_solar import RadSolar
from swagger_client.models.rad_solar_avg import RadSolarAvg
from swagger_client.models.rad_solar_avg_sd import RadSolarAvgSd
from swagger_client.models.rad_solar_max import RadSolarMax
from swagger_client.models.rad_solar_max_sd import RadSolarMaxSd
from swagger_client.models.rad_solar_min import RadSolarMin
from swagger_client.models.rad_solar_min_sd import RadSolarMinSd
from swagger_client.models.rad_solar_sd import RadSolarSd
from swagger_client.models.rad_solar_tot import RadSolarTot
from swagger_client.models.rad_solar_tot_sd import RadSolarTotSd
from swagger_client.models.rel_hum import RelHum
from swagger_client.models.rel_hum_avg import RelHumAvg
from swagger_client.models.rel_hum_avg_sd import RelHumAvgSd
from swagger_client.models.rel_hum_max import RelHumMax
from swagger_client.models.rel_hum_max_sd import RelHumMaxSd
from swagger_client.models.rel_hum_min import RelHumMin
from swagger_client.models.rel_hum_min_sd import RelHumMinSd
from swagger_client.models.rel_hum_sd import RelHumSd
from swagger_client.models.sample_points import SamplePoints
from swagger_client.models.sample_points_inner import SamplePointsInner
from swagger_client.models.sfc_pres import SfcPres
from swagger_client.models.sfc_pres_avg import SfcPresAvg
from swagger_client.models.sfc_pres_avg_sd import SfcPresAvgSd
from swagger_client.models.sfc_pres_max import SfcPresMax
from swagger_client.models.sfc_pres_max_sd import SfcPresMaxSd
from swagger_client.models.sfc_pres_min import SfcPresMin
from swagger_client.models.sfc_pres_min_sd import SfcPresMinSd
from swagger_client.models.sfc_pres_sd import SfcPresSd
from swagger_client.models.snow_depth import SnowDepth
from swagger_client.models.snow_depth_sd import SnowDepthSd
from swagger_client.models.snowfall import Snowfall
from swagger_client.models.snowfall_freq import SnowfallFreq
from swagger_client.models.snowfall_freq0 import SnowfallFreq0
from swagger_client.models.snowfall_freq001_to009 import SnowfallFreq001To009
from swagger_client.models.snowfall_freq010_to024 import SnowfallFreq010To024
from swagger_client.models.snowfall_freq025_to049 import SnowfallFreq025To049
from swagger_client.models.snowfall_freq050_to099 import SnowfallFreq050To099
from swagger_client.models.snowfall_freq100_to149 import SnowfallFreq100To149
from swagger_client.models.snowfall_freq150_to249 import SnowfallFreq150To249
from swagger_client.models.snowfall_freq250_plus import SnowfallFreq250Plus
from swagger_client.models.snowfall_sd import SnowfallSd
from swagger_client.models.spc_hum import SpcHum
from swagger_client.models.spc_hum_avg import SpcHumAvg
from swagger_client.models.spc_hum_avg_sd import SpcHumAvgSd
from swagger_client.models.spc_hum_max import SpcHumMax
from swagger_client.models.spc_hum_max_sd import SpcHumMaxSd
from swagger_client.models.spc_hum_min import SpcHumMin
from swagger_client.models.spc_hum_min_sd import SpcHumMinSd
from swagger_client.models.spc_hum_sd import SpcHumSd
from swagger_client.models.subdiv_code import SubdivCode
from swagger_client.models.subdiv_name import SubdivName
from swagger_client.models.temp import Temp
from swagger_client.models.temp_avg import TempAvg
from swagger_client.models.temp_avg_sd import TempAvgSd
from swagger_client.models.temp_max import TempMax
from swagger_client.models.temp_max_sd import TempMaxSd
from swagger_client.models.temp_min import TempMin
from swagger_client.models.temp_min_sd import TempMinSd
from swagger_client.models.temp_sd import TempSd
from swagger_client.models.timestamp import Timestamp
from swagger_client.models.timestamp_end import TimestampEnd
from swagger_client.models.timestamp_range_obj import TimestampRangeObj
from swagger_client.models.timestamp_start import TimestampStart
from swagger_client.models.timezone import Timezone
from swagger_client.models.wet_bulb import WetBulb
from swagger_client.models.wet_bulb_avg import WetBulbAvg
from swagger_client.models.wet_bulb_avg_sd import WetBulbAvgSd
from swagger_client.models.wet_bulb_max import WetBulbMax
from swagger_client.models.wet_bulb_max_sd import WetBulbMaxSd
from swagger_client.models.wet_bulb_min import WetBulbMin
from swagger_client.models.wet_bulb_min_sd import WetBulbMinSd
from swagger_client.models.wet_bulb_sd import WetBulbSd
from swagger_client.models.wind_dir import WindDir
from swagger_client.models.wind_dir100m import WindDir100m
from swagger_client.models.wind_dir100m_avg import WindDir100mAvg
from swagger_client.models.wind_dir80m import WindDir80m
from swagger_client.models.wind_dir80m_avg import WindDir80mAvg
from swagger_client.models.wind_dir_avg import WindDirAvg
from swagger_client.models.wind_spd import WindSpd
from swagger_client.models.wind_spd_avg import WindSpdAvg
from swagger_client.models.wind_spd_avg_sd import WindSpdAvgSd
from swagger_client.models.wind_spd_max import WindSpdMax
from swagger_client.models.wind_spd_max_sd import WindSpdMaxSd
from swagger_client.models.wind_spd_min import WindSpdMin
from swagger_client.models.wind_spd_min_sd import WindSpdMinSd
from swagger_client.models.wind_spd_sd import WindSpdSd
from swagger_client.models.wind_vec_spd import WindVecSpd
from swagger_client.models.wind_vec_spd100m import WindVecSpd100m
from swagger_client.models.wind_vec_spd80m import WindVecSpd80m
