# coding: utf-8

"""
    Weather Source Climatology API

    Daily and hourly climatological weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Climatology API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import re  # noqa: F401

# python 2 and python 3 compatibility library
import six

from swagger_client.api_client import ApiClient


class DmasApi(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    Ref: https://github.com/swagger-api/swagger-codegen
    """

    def __init__(self, api_client=None):
        if api_client is None:
            api_client = ApiClient()
        self.api_client = api_client

    def dmas_dma_id_days_date_get(self, dma_id, _date, fields, **kwargs):  # noqa: E501
        """A day of weather climatology for a DMA.  # noqa: E501

        Returns a single day of climatological weather data for a Designated Market Area.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.dmas_dma_id_days_date_get(dma_id, _date, fields, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param int dma_id: A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). (required)
        :param date _date: An date formatted as a RFC3339 date value. (required)
        :param list[str] fields: A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(precip, snowDepth, snowfall)* * allPres *(derivatives of mslPres, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, temp, wetBulb)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  (required)
        :param str unit_scale: The unit scale for returned values.<br>
        :return: ClimatologyDmaDayObj
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.dmas_dma_id_days_date_get_with_http_info(dma_id, _date, fields, **kwargs)  # noqa: E501
        else:
            (data) = self.dmas_dma_id_days_date_get_with_http_info(dma_id, _date, fields, **kwargs)  # noqa: E501
            return data

    def dmas_dma_id_days_date_get_with_http_info(self, dma_id, _date, fields, **kwargs):  # noqa: E501
        """A day of weather climatology for a DMA.  # noqa: E501

        Returns a single day of climatological weather data for a Designated Market Area.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.dmas_dma_id_days_date_get_with_http_info(dma_id, _date, fields, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param int dma_id: A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). (required)
        :param date _date: An date formatted as a RFC3339 date value. (required)
        :param list[str] fields: A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(precip, snowDepth, snowfall)* * allPres *(derivatives of mslPres, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, temp, wetBulb)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  (required)
        :param str unit_scale: The unit scale for returned values.<br>
        :return: ClimatologyDmaDayObj
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['dma_id', '_date', 'fields', 'unit_scale']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method dmas_dma_id_days_date_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'dma_id' is set
        if ('dma_id' not in params or
                params['dma_id'] is None):
            raise ValueError("Missing the required parameter `dma_id` when calling `dmas_dma_id_days_date_get`")  # noqa: E501
        # verify the required parameter '_date' is set
        if ('_date' not in params or
                params['_date'] is None):
            raise ValueError("Missing the required parameter `_date` when calling `dmas_dma_id_days_date_get`")  # noqa: E501
        # verify the required parameter 'fields' is set
        if ('fields' not in params or
                params['fields'] is None):
            raise ValueError("Missing the required parameter `fields` when calling `dmas_dma_id_days_date_get`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'dma_id' in params:
            path_params['dmaId'] = params['dma_id']  # noqa: E501
        if '_date' in params:
            path_params['date'] = params['_date']  # noqa: E501

        query_params = []
        if 'fields' in params:
            query_params.append(('fields', params['fields']))  # noqa: E501
            collection_formats['fields'] = 'csv'  # noqa: E501
        if 'unit_scale' in params:
            query_params.append(('unitScale', params['unit_scale']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['ApiKeyAuth']  # noqa: E501

        return self.api_client.call_api(
            '/dmas/{dmaId}/days/{date}', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ClimatologyDmaDayObj',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def dmas_dma_id_days_date_startdate_end_get(self, dma_id, date_start, date_end, fields, **kwargs):  # noqa: E501
        """A contiguous range of daily weather climatology for a DMA.  # noqa: E501

        Returns a contiguous range of daily climatological weather data for a Designated Market Area.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.dmas_dma_id_days_date_startdate_end_get(dma_id, date_start, date_end, fields, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param int dma_id: A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). (required)
        :param date date_start: An date formatted as a RFC3339 date value that must occur temporally before dateEnd. (required)
        :param date date_end: An date formatted as a RFC3339 date value that must occur temporally after dateStart. (required)
        :param list[str] fields: A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(precip, snowDepth, snowfall)* * allPres *(derivatives of mslPres, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, temp, wetBulb)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  (required)
        :param str unit_scale: The unit scale for returned values.<br>
        :return: ClimatologyDmaDayObj
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.dmas_dma_id_days_date_startdate_end_get_with_http_info(dma_id, date_start, date_end, fields, **kwargs)  # noqa: E501
        else:
            (data) = self.dmas_dma_id_days_date_startdate_end_get_with_http_info(dma_id, date_start, date_end, fields, **kwargs)  # noqa: E501
            return data

    def dmas_dma_id_days_date_startdate_end_get_with_http_info(self, dma_id, date_start, date_end, fields, **kwargs):  # noqa: E501
        """A contiguous range of daily weather climatology for a DMA.  # noqa: E501

        Returns a contiguous range of daily climatological weather data for a Designated Market Area.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.dmas_dma_id_days_date_startdate_end_get_with_http_info(dma_id, date_start, date_end, fields, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param int dma_id: A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). (required)
        :param date date_start: An date formatted as a RFC3339 date value that must occur temporally before dateEnd. (required)
        :param date date_end: An date formatted as a RFC3339 date value that must occur temporally after dateStart. (required)
        :param list[str] fields: A comma separated list of field names to return. The date field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(precip, snowDepth, snowfall)* * allPres *(derivatives of mslPres, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, temp, wetBulb)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  (required)
        :param str unit_scale: The unit scale for returned values.<br>
        :return: ClimatologyDmaDayObj
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['dma_id', 'date_start', 'date_end', 'fields', 'unit_scale']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method dmas_dma_id_days_date_startdate_end_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'dma_id' is set
        if ('dma_id' not in params or
                params['dma_id'] is None):
            raise ValueError("Missing the required parameter `dma_id` when calling `dmas_dma_id_days_date_startdate_end_get`")  # noqa: E501
        # verify the required parameter 'date_start' is set
        if ('date_start' not in params or
                params['date_start'] is None):
            raise ValueError("Missing the required parameter `date_start` when calling `dmas_dma_id_days_date_startdate_end_get`")  # noqa: E501
        # verify the required parameter 'date_end' is set
        if ('date_end' not in params or
                params['date_end'] is None):
            raise ValueError("Missing the required parameter `date_end` when calling `dmas_dma_id_days_date_startdate_end_get`")  # noqa: E501
        # verify the required parameter 'fields' is set
        if ('fields' not in params or
                params['fields'] is None):
            raise ValueError("Missing the required parameter `fields` when calling `dmas_dma_id_days_date_startdate_end_get`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'dma_id' in params:
            path_params['dmaId'] = params['dma_id']  # noqa: E501
        if 'date_start' in params:
            path_params['dateStart'] = params['date_start']  # noqa: E501
        if 'date_end' in params:
            path_params['dateEnd'] = params['date_end']  # noqa: E501

        query_params = []
        if 'fields' in params:
            query_params.append(('fields', params['fields']))  # noqa: E501
            collection_formats['fields'] = 'csv'  # noqa: E501
        if 'unit_scale' in params:
            query_params.append(('unitScale', params['unit_scale']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['ApiKeyAuth']  # noqa: E501

        return self.api_client.call_api(
            '/dmas/{dmaId}/days/{dateStart},{dateEnd}', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ClimatologyDmaDayObj',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def dmas_dma_id_hours_timestamp_get(self, dma_id, timestamp, fields, **kwargs):  # noqa: E501
        """An hour of weather climatology for a DMA  # noqa: E501

        Returns a single hour of climatological weather data for a Designated Market Area.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.dmas_dma_id_hours_timestamp_get(dma_id, timestamp, fields, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param int dma_id: A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). (required)
        :param datetime timestamp: A timestamp formatted as an RFC3339 date-time value. The UTC offset is required. (required)
        :param list[str] fields: A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(derivatives of precip, snowfall)* * allPres *(derivatives of mslPres, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, temp, wetBulb)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd, windVecSpd, windVecSpd80m, windVecSpd100m)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  (required)
        :param str unit_scale: The unit scale for returned values.<br>
        :return: ClimatologyDmaHourObj
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.dmas_dma_id_hours_timestamp_get_with_http_info(dma_id, timestamp, fields, **kwargs)  # noqa: E501
        else:
            (data) = self.dmas_dma_id_hours_timestamp_get_with_http_info(dma_id, timestamp, fields, **kwargs)  # noqa: E501
            return data

    def dmas_dma_id_hours_timestamp_get_with_http_info(self, dma_id, timestamp, fields, **kwargs):  # noqa: E501
        """An hour of weather climatology for a DMA  # noqa: E501

        Returns a single hour of climatological weather data for a Designated Market Area.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.dmas_dma_id_hours_timestamp_get_with_http_info(dma_id, timestamp, fields, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param int dma_id: A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). (required)
        :param datetime timestamp: A timestamp formatted as an RFC3339 date-time value. The UTC offset is required. (required)
        :param list[str] fields: A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(derivatives of precip, snowfall)* * allPres *(derivatives of mslPres, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, temp, wetBulb)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd, windVecSpd, windVecSpd80m, windVecSpd100m)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  (required)
        :param str unit_scale: The unit scale for returned values.<br>
        :return: ClimatologyDmaHourObj
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['dma_id', 'timestamp', 'fields', 'unit_scale']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method dmas_dma_id_hours_timestamp_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'dma_id' is set
        if ('dma_id' not in params or
                params['dma_id'] is None):
            raise ValueError("Missing the required parameter `dma_id` when calling `dmas_dma_id_hours_timestamp_get`")  # noqa: E501
        # verify the required parameter 'timestamp' is set
        if ('timestamp' not in params or
                params['timestamp'] is None):
            raise ValueError("Missing the required parameter `timestamp` when calling `dmas_dma_id_hours_timestamp_get`")  # noqa: E501
        # verify the required parameter 'fields' is set
        if ('fields' not in params or
                params['fields'] is None):
            raise ValueError("Missing the required parameter `fields` when calling `dmas_dma_id_hours_timestamp_get`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'dma_id' in params:
            path_params['dmaId'] = params['dma_id']  # noqa: E501
        if 'timestamp' in params:
            path_params['timestamp'] = params['timestamp']  # noqa: E501

        query_params = []
        if 'fields' in params:
            query_params.append(('fields', params['fields']))  # noqa: E501
            collection_formats['fields'] = 'csv'  # noqa: E501
        if 'unit_scale' in params:
            query_params.append(('unitScale', params['unit_scale']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['ApiKeyAuth']  # noqa: E501

        return self.api_client.call_api(
            '/dmas/{dmaId}/hours/{timestamp}', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ClimatologyDmaHourObj',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)

    def dmas_dma_id_hours_timestamp_starttimestamp_end_get(self, dma_id, timestamp_start, timestamp_end, fields, **kwargs):  # noqa: E501
        """A contiguous range of hourly weather climatology for a DMA.  # noqa: E501

        Returns a contiguous range of hourly climatological weather data for a Designated Market Area.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.dmas_dma_id_hours_timestamp_starttimestamp_end_get(dma_id, timestamp_start, timestamp_end, fields, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param int dma_id: A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). (required)
        :param datetime timestamp_start: A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required. (required)
        :param datetime timestamp_end: A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required. (required)
        :param list[str] fields: A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(derivatives of precip, snowfall)* * allPres *(derivatives of mslPres, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, temp, wetBulb)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd, windVecSpd, windVecSpd80m, windVecSpd100m)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  (required)
        :param str unit_scale: The unit scale for returned values.<br>
        :return: ClimatologyDmaHourObj
                 If the method is called asynchronously,
                 returns the request thread.
        """
        kwargs['_return_http_data_only'] = True
        if kwargs.get('async_req'):
            return self.dmas_dma_id_hours_timestamp_starttimestamp_end_get_with_http_info(dma_id, timestamp_start, timestamp_end, fields, **kwargs)  # noqa: E501
        else:
            (data) = self.dmas_dma_id_hours_timestamp_starttimestamp_end_get_with_http_info(dma_id, timestamp_start, timestamp_end, fields, **kwargs)  # noqa: E501
            return data

    def dmas_dma_id_hours_timestamp_starttimestamp_end_get_with_http_info(self, dma_id, timestamp_start, timestamp_end, fields, **kwargs):  # noqa: E501
        """A contiguous range of hourly weather climatology for a DMA.  # noqa: E501

        Returns a contiguous range of hourly climatological weather data for a Designated Market Area.  # noqa: E501
        This method makes a synchronous HTTP request by default. To make an
        asynchronous HTTP request, please pass async_req=True
        >>> thread = api.dmas_dma_id_hours_timestamp_starttimestamp_end_get_with_http_info(dma_id, timestamp_start, timestamp_end, fields, async_req=True)
        >>> result = thread.get()

        :param async_req bool
        :param int dma_id: A [Designated Market Area ID](https://developer.weathersourceapis.com/apis/supported-dmas/). (required)
        :param datetime timestamp_start: A timestamp formatted as an RFC3339 date-time value that must occur temporally before timestampEnd. The UTC offset is required. (required)
        :param datetime timestamp_end: A timestamp formatted as an RFC3339 date-time value that must occur temporally after timestampStart. The UTC offset is required. (required)
        :param list[str] fields: A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  In addition to individual field names, following convenience field groups are also supported: * all *(all fields)* * allCldCvr *(derivatives of cldCvr)* * allHum *(derivatives of relHum, spcHum)* * allPrecip *(derivatives of precip, snowfall)* * allPres *(derivatives of mslPres, sfcPres)* * allRad *(derivatives of radSolar)* * allTemp *(derivatives of dewPt, feelsLike, temp, wetBulb)* * allWind *(derivatives of windDir, windDir80m, windDir100m, windSpd, windVecSpd, windVecSpd80m, windVecSpd100m)* * popular *(derivatives of cldCvr, feelsLike, precip, relHum, snowfall, temp, windDir, windSpd)*  (required)
        :param str unit_scale: The unit scale for returned values.<br>
        :return: ClimatologyDmaHourObj
                 If the method is called asynchronously,
                 returns the request thread.
        """

        all_params = ['dma_id', 'timestamp_start', 'timestamp_end', 'fields', 'unit_scale']  # noqa: E501
        all_params.append('async_req')
        all_params.append('_return_http_data_only')
        all_params.append('_preload_content')
        all_params.append('_request_timeout')

        params = locals()
        for key, val in six.iteritems(params['kwargs']):
            if key not in all_params:
                raise TypeError(
                    "Got an unexpected keyword argument '%s'"
                    " to method dmas_dma_id_hours_timestamp_starttimestamp_end_get" % key
                )
            params[key] = val
        del params['kwargs']
        # verify the required parameter 'dma_id' is set
        if ('dma_id' not in params or
                params['dma_id'] is None):
            raise ValueError("Missing the required parameter `dma_id` when calling `dmas_dma_id_hours_timestamp_starttimestamp_end_get`")  # noqa: E501
        # verify the required parameter 'timestamp_start' is set
        if ('timestamp_start' not in params or
                params['timestamp_start'] is None):
            raise ValueError("Missing the required parameter `timestamp_start` when calling `dmas_dma_id_hours_timestamp_starttimestamp_end_get`")  # noqa: E501
        # verify the required parameter 'timestamp_end' is set
        if ('timestamp_end' not in params or
                params['timestamp_end'] is None):
            raise ValueError("Missing the required parameter `timestamp_end` when calling `dmas_dma_id_hours_timestamp_starttimestamp_end_get`")  # noqa: E501
        # verify the required parameter 'fields' is set
        if ('fields' not in params or
                params['fields'] is None):
            raise ValueError("Missing the required parameter `fields` when calling `dmas_dma_id_hours_timestamp_starttimestamp_end_get`")  # noqa: E501

        collection_formats = {}

        path_params = {}
        if 'dma_id' in params:
            path_params['dmaId'] = params['dma_id']  # noqa: E501
        if 'timestamp_start' in params:
            path_params['timestampStart'] = params['timestamp_start']  # noqa: E501
        if 'timestamp_end' in params:
            path_params['timestampEnd'] = params['timestamp_end']  # noqa: E501

        query_params = []
        if 'fields' in params:
            query_params.append(('fields', params['fields']))  # noqa: E501
            collection_formats['fields'] = 'csv'  # noqa: E501
        if 'unit_scale' in params:
            query_params.append(('unitScale', params['unit_scale']))  # noqa: E501

        header_params = {}

        form_params = []
        local_var_files = {}

        body_params = None
        # HTTP header `Accept`
        header_params['Accept'] = self.api_client.select_header_accept(
            ['application/json'])  # noqa: E501

        # Authentication setting
        auth_settings = ['ApiKeyAuth']  # noqa: E501

        return self.api_client.call_api(
            '/dmas/{dmaId}/hours/{timestampStart},{timestampEnd}', 'GET',
            path_params,
            query_params,
            header_params,
            body=body_params,
            post_params=form_params,
            files=local_var_files,
            response_type='ClimatologyDmaHourObj',  # noqa: E501
            auth_settings=auth_settings,
            async_req=params.get('async_req'),
            _return_http_data_only=params.get('_return_http_data_only'),
            _preload_content=params.get('_preload_content', True),
            _request_timeout=params.get('_request_timeout'),
            collection_formats=collection_formats)
