# coding: utf-8

"""
    Weather Source Climatology API

    Daily and hourly climatological weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Climatology API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class ClimatologyDayObj(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        '_date': 'date',
        'cld_cvr_min': 'CldCvrMin',
        'cld_cvr_min_sd': 'CldCvrMinSd',
        'cld_cvr_avg': 'CldCvrAvg',
        'cld_cvr_avg_sd': 'CldCvrAvgSd',
        'cld_cvr_max': 'CldCvrMax',
        'cld_cvr_max_sd': 'CldCvrMaxSd',
        'dew_pt_min': 'DewPtMin',
        'dew_pt_min_sd': 'DewPtMinSd',
        'dew_pt_avg': 'DewPtAvg',
        'dew_pt_avg_sd': 'DewPtAvgSd',
        'dew_pt_max': 'DewPtMax',
        'dew_pt_max_sd': 'DewPtMaxSd',
        'feels_like_min': 'FeelsLikeMin',
        'feels_like_min_sd': 'FeelsLikeMinSd',
        'feels_like_avg': 'FeelsLikeAvg',
        'feels_like_avg_sd': 'FeelsLikeAvgSd',
        'feels_like_max': 'FeelsLikeMax',
        'feels_like_max_sd': 'FeelsLikeMaxSd',
        'msl_pres_min': 'MslPresMin',
        'msl_pres_min_sd': 'MslPresMinSd',
        'msl_pres_avg': 'MslPresAvg',
        'msl_pres_avg_sd': 'MslPresAvgSd',
        'msl_pres_max': 'MslPresMax',
        'msl_pres_max_sd': 'MslPresMaxSd',
        'precip': 'Precip',
        'precip_sd': 'PrecipSd',
        'precip_freq': 'PrecipFreq',
        'precip_freq0': 'PrecipFreq0',
        'precip_freq001_to009': 'PrecipFreq001To009',
        'precip_freq010_to024': 'PrecipFreq010To024',
        'precip_freq025_to049': 'PrecipFreq025To049',
        'precip_freq050_to099': 'PrecipFreq050To099',
        'precip_freq100_to249': 'PrecipFreq100To249',
        'precip_freq250_to499': 'PrecipFreq250To499',
        'precip_freq500_plus': 'PrecipFreq500Plus',
        'rad_solar_min': 'RadSolarMin',
        'rad_solar_min_sd': 'RadSolarMinSd',
        'rad_solar_avg': 'RadSolarAvg',
        'rad_solar_avg_sd': 'RadSolarAvgSd',
        'rad_solar_max': 'RadSolarMax',
        'rad_solar_max_sd': 'RadSolarMaxSd',
        'rad_solar_tot': 'RadSolarTot',
        'rad_solar_tot_sd': 'RadSolarTotSd',
        'rel_hum_min': 'RelHumMin',
        'rel_hum_min_sd': 'RelHumMinSd',
        'rel_hum_avg': 'RelHumAvg',
        'rel_hum_avg_sd': 'RelHumAvgSd',
        'rel_hum_max': 'RelHumMax',
        'rel_hum_max_sd': 'RelHumMaxSd',
        'sfc_pres_min': 'SfcPresMin',
        'sfc_pres_min_sd': 'SfcPresMinSd',
        'sfc_pres_avg': 'SfcPresAvg',
        'sfc_pres_avg_sd': 'SfcPresAvgSd',
        'sfc_pres_max': 'SfcPresMax',
        'sfc_pres_max_sd': 'SfcPresMaxSd',
        'snow_depth': 'SnowDepth',
        'snow_depth_sd': 'SnowDepthSd',
        'snowfall': 'Snowfall',
        'snowfall_sd': 'SnowfallSd',
        'snowfall_freq': 'SnowfallFreq',
        'snowfall_freq0': 'SnowfallFreq0',
        'snowfall_freq001_to009': 'SnowfallFreq001To009',
        'snowfall_freq010_to024': 'SnowfallFreq010To024',
        'snowfall_freq025_to049': 'SnowfallFreq025To049',
        'snowfall_freq050_to099': 'SnowfallFreq050To099',
        'snowfall_freq100_to149': 'SnowfallFreq100To149',
        'snowfall_freq150_to249': 'SnowfallFreq150To249',
        'snowfall_freq250_plus': 'SnowfallFreq250Plus',
        'spc_hum_min': 'SpcHumMin',
        'spc_hum_min_sd': 'SpcHumMinSd',
        'spc_hum_avg': 'SpcHumAvg',
        'spc_hum_avg_sd': 'SpcHumAvgSd',
        'spc_hum_max': 'SpcHumMax',
        'spc_hum_max_sd': 'SpcHumMaxSd',
        'temp_min': 'TempMin',
        'temp_min_sd': 'TempMinSd',
        'temp_avg': 'TempAvg',
        'temp_avg_sd': 'TempAvgSd',
        'temp_max': 'TempMax',
        'temp_max_sd': 'TempMaxSd',
        'wet_bulb_min': 'WetBulbMin',
        'wet_bulb_min_sd': 'WetBulbMinSd',
        'wet_bulb_avg': 'WetBulbAvg',
        'wet_bulb_avg_sd': 'WetBulbAvgSd',
        'wet_bulb_max': 'WetBulbMax',
        'wet_bulb_max_sd': 'WetBulbMaxSd',
        'wind_dir_avg': 'WindDirAvg',
        'wind_dir80m_avg': 'WindDir80mAvg',
        'wind_dir100m_avg': 'WindDir100mAvg',
        'wind_spd_min': 'WindSpdMin',
        'wind_spd_min_sd': 'WindSpdMinSd',
        'wind_spd_avg': 'WindSpdAvg',
        'wind_spd_avg_sd': 'WindSpdAvgSd',
        'wind_spd_max': 'WindSpdMax',
        'wind_spd_max_sd': 'WindSpdMaxSd'
    }

    attribute_map = {
        '_date': 'date',
        'cld_cvr_min': 'cldCvrMin',
        'cld_cvr_min_sd': 'cldCvrMinSd',
        'cld_cvr_avg': 'cldCvrAvg',
        'cld_cvr_avg_sd': 'cldCvrAvgSd',
        'cld_cvr_max': 'cldCvrMax',
        'cld_cvr_max_sd': 'cldCvrMaxSd',
        'dew_pt_min': 'dewPtMin',
        'dew_pt_min_sd': 'dewPtMinSd',
        'dew_pt_avg': 'dewPtAvg',
        'dew_pt_avg_sd': 'dewPtAvgSd',
        'dew_pt_max': 'dewPtMax',
        'dew_pt_max_sd': 'dewPtMaxSd',
        'feels_like_min': 'feelsLikeMin',
        'feels_like_min_sd': 'feelsLikeMinSd',
        'feels_like_avg': 'feelsLikeAvg',
        'feels_like_avg_sd': 'feelsLikeAvgSd',
        'feels_like_max': 'feelsLikeMax',
        'feels_like_max_sd': 'feelsLikeMaxSd',
        'msl_pres_min': 'mslPresMin',
        'msl_pres_min_sd': 'mslPresMinSd',
        'msl_pres_avg': 'mslPresAvg',
        'msl_pres_avg_sd': 'mslPresAvgSd',
        'msl_pres_max': 'mslPresMax',
        'msl_pres_max_sd': 'mslPresMaxSd',
        'precip': 'precip',
        'precip_sd': 'precipSd',
        'precip_freq': 'precipFreq',
        'precip_freq0': 'precipFreq0',
        'precip_freq001_to009': 'precipFreq001To009',
        'precip_freq010_to024': 'precipFreq010To024',
        'precip_freq025_to049': 'precipFreq025To049',
        'precip_freq050_to099': 'precipFreq050To099',
        'precip_freq100_to249': 'precipFreq100To249',
        'precip_freq250_to499': 'precipFreq250To499',
        'precip_freq500_plus': 'precipFreq500Plus',
        'rad_solar_min': 'radSolarMin',
        'rad_solar_min_sd': 'radSolarMinSd',
        'rad_solar_avg': 'radSolarAvg',
        'rad_solar_avg_sd': 'radSolarAvgSd',
        'rad_solar_max': 'radSolarMax',
        'rad_solar_max_sd': 'radSolarMaxSd',
        'rad_solar_tot': 'radSolarTot',
        'rad_solar_tot_sd': 'radSolarTotSd',
        'rel_hum_min': 'relHumMin',
        'rel_hum_min_sd': 'relHumMinSd',
        'rel_hum_avg': 'relHumAvg',
        'rel_hum_avg_sd': 'relHumAvgSd',
        'rel_hum_max': 'relHumMax',
        'rel_hum_max_sd': 'relHumMaxSd',
        'sfc_pres_min': 'sfcPresMin',
        'sfc_pres_min_sd': 'sfcPresMinSd',
        'sfc_pres_avg': 'sfcPresAvg',
        'sfc_pres_avg_sd': 'sfcPresAvgSd',
        'sfc_pres_max': 'sfcPresMax',
        'sfc_pres_max_sd': 'sfcPresMaxSd',
        'snow_depth': 'snowDepth',
        'snow_depth_sd': 'snowDepthSd',
        'snowfall': 'snowfall',
        'snowfall_sd': 'snowfallSd',
        'snowfall_freq': 'snowfallFreq',
        'snowfall_freq0': 'snowfallFreq0',
        'snowfall_freq001_to009': 'snowfallFreq001To009',
        'snowfall_freq010_to024': 'snowfallFreq010To024',
        'snowfall_freq025_to049': 'snowfallFreq025To049',
        'snowfall_freq050_to099': 'snowfallFreq050To099',
        'snowfall_freq100_to149': 'snowfallFreq100To149',
        'snowfall_freq150_to249': 'snowfallFreq150To249',
        'snowfall_freq250_plus': 'snowfallFreq250Plus',
        'spc_hum_min': 'spcHumMin',
        'spc_hum_min_sd': 'spcHumMinSd',
        'spc_hum_avg': 'spcHumAvg',
        'spc_hum_avg_sd': 'spcHumAvgSd',
        'spc_hum_max': 'spcHumMax',
        'spc_hum_max_sd': 'spcHumMaxSd',
        'temp_min': 'tempMin',
        'temp_min_sd': 'tempMinSd',
        'temp_avg': 'tempAvg',
        'temp_avg_sd': 'tempAvgSd',
        'temp_max': 'tempMax',
        'temp_max_sd': 'tempMaxSd',
        'wet_bulb_min': 'wetBulbMin',
        'wet_bulb_min_sd': 'wetBulbMinSd',
        'wet_bulb_avg': 'wetBulbAvg',
        'wet_bulb_avg_sd': 'wetBulbAvgSd',
        'wet_bulb_max': 'wetBulbMax',
        'wet_bulb_max_sd': 'wetBulbMaxSd',
        'wind_dir_avg': 'windDirAvg',
        'wind_dir80m_avg': 'windDir80mAvg',
        'wind_dir100m_avg': 'windDir100mAvg',
        'wind_spd_min': 'windSpdMin',
        'wind_spd_min_sd': 'windSpdMinSd',
        'wind_spd_avg': 'windSpdAvg',
        'wind_spd_avg_sd': 'windSpdAvgSd',
        'wind_spd_max': 'windSpdMax',
        'wind_spd_max_sd': 'windSpdMaxSd'
    }

    def __init__(self, _date=None, cld_cvr_min=None, cld_cvr_min_sd=None, cld_cvr_avg=None, cld_cvr_avg_sd=None, cld_cvr_max=None, cld_cvr_max_sd=None, dew_pt_min=None, dew_pt_min_sd=None, dew_pt_avg=None, dew_pt_avg_sd=None, dew_pt_max=None, dew_pt_max_sd=None, feels_like_min=None, feels_like_min_sd=None, feels_like_avg=None, feels_like_avg_sd=None, feels_like_max=None, feels_like_max_sd=None, msl_pres_min=None, msl_pres_min_sd=None, msl_pres_avg=None, msl_pres_avg_sd=None, msl_pres_max=None, msl_pres_max_sd=None, precip=None, precip_sd=None, precip_freq=None, precip_freq0=None, precip_freq001_to009=None, precip_freq010_to024=None, precip_freq025_to049=None, precip_freq050_to099=None, precip_freq100_to249=None, precip_freq250_to499=None, precip_freq500_plus=None, rad_solar_min=None, rad_solar_min_sd=None, rad_solar_avg=None, rad_solar_avg_sd=None, rad_solar_max=None, rad_solar_max_sd=None, rad_solar_tot=None, rad_solar_tot_sd=None, rel_hum_min=None, rel_hum_min_sd=None, rel_hum_avg=None, rel_hum_avg_sd=None, rel_hum_max=None, rel_hum_max_sd=None, sfc_pres_min=None, sfc_pres_min_sd=None, sfc_pres_avg=None, sfc_pres_avg_sd=None, sfc_pres_max=None, sfc_pres_max_sd=None, snow_depth=None, snow_depth_sd=None, snowfall=None, snowfall_sd=None, snowfall_freq=None, snowfall_freq0=None, snowfall_freq001_to009=None, snowfall_freq010_to024=None, snowfall_freq025_to049=None, snowfall_freq050_to099=None, snowfall_freq100_to149=None, snowfall_freq150_to249=None, snowfall_freq250_plus=None, spc_hum_min=None, spc_hum_min_sd=None, spc_hum_avg=None, spc_hum_avg_sd=None, spc_hum_max=None, spc_hum_max_sd=None, temp_min=None, temp_min_sd=None, temp_avg=None, temp_avg_sd=None, temp_max=None, temp_max_sd=None, wet_bulb_min=None, wet_bulb_min_sd=None, wet_bulb_avg=None, wet_bulb_avg_sd=None, wet_bulb_max=None, wet_bulb_max_sd=None, wind_dir_avg=None, wind_dir80m_avg=None, wind_dir100m_avg=None, wind_spd_min=None, wind_spd_min_sd=None, wind_spd_avg=None, wind_spd_avg_sd=None, wind_spd_max=None, wind_spd_max_sd=None):  # noqa: E501
        """ClimatologyDayObj - a model defined in Swagger"""  # noqa: E501
        self.__date = None
        self._cld_cvr_min = None
        self._cld_cvr_min_sd = None
        self._cld_cvr_avg = None
        self._cld_cvr_avg_sd = None
        self._cld_cvr_max = None
        self._cld_cvr_max_sd = None
        self._dew_pt_min = None
        self._dew_pt_min_sd = None
        self._dew_pt_avg = None
        self._dew_pt_avg_sd = None
        self._dew_pt_max = None
        self._dew_pt_max_sd = None
        self._feels_like_min = None
        self._feels_like_min_sd = None
        self._feels_like_avg = None
        self._feels_like_avg_sd = None
        self._feels_like_max = None
        self._feels_like_max_sd = None
        self._msl_pres_min = None
        self._msl_pres_min_sd = None
        self._msl_pres_avg = None
        self._msl_pres_avg_sd = None
        self._msl_pres_max = None
        self._msl_pres_max_sd = None
        self._precip = None
        self._precip_sd = None
        self._precip_freq = None
        self._precip_freq0 = None
        self._precip_freq001_to009 = None
        self._precip_freq010_to024 = None
        self._precip_freq025_to049 = None
        self._precip_freq050_to099 = None
        self._precip_freq100_to249 = None
        self._precip_freq250_to499 = None
        self._precip_freq500_plus = None
        self._rad_solar_min = None
        self._rad_solar_min_sd = None
        self._rad_solar_avg = None
        self._rad_solar_avg_sd = None
        self._rad_solar_max = None
        self._rad_solar_max_sd = None
        self._rad_solar_tot = None
        self._rad_solar_tot_sd = None
        self._rel_hum_min = None
        self._rel_hum_min_sd = None
        self._rel_hum_avg = None
        self._rel_hum_avg_sd = None
        self._rel_hum_max = None
        self._rel_hum_max_sd = None
        self._sfc_pres_min = None
        self._sfc_pres_min_sd = None
        self._sfc_pres_avg = None
        self._sfc_pres_avg_sd = None
        self._sfc_pres_max = None
        self._sfc_pres_max_sd = None
        self._snow_depth = None
        self._snow_depth_sd = None
        self._snowfall = None
        self._snowfall_sd = None
        self._snowfall_freq = None
        self._snowfall_freq0 = None
        self._snowfall_freq001_to009 = None
        self._snowfall_freq010_to024 = None
        self._snowfall_freq025_to049 = None
        self._snowfall_freq050_to099 = None
        self._snowfall_freq100_to149 = None
        self._snowfall_freq150_to249 = None
        self._snowfall_freq250_plus = None
        self._spc_hum_min = None
        self._spc_hum_min_sd = None
        self._spc_hum_avg = None
        self._spc_hum_avg_sd = None
        self._spc_hum_max = None
        self._spc_hum_max_sd = None
        self._temp_min = None
        self._temp_min_sd = None
        self._temp_avg = None
        self._temp_avg_sd = None
        self._temp_max = None
        self._temp_max_sd = None
        self._wet_bulb_min = None
        self._wet_bulb_min_sd = None
        self._wet_bulb_avg = None
        self._wet_bulb_avg_sd = None
        self._wet_bulb_max = None
        self._wet_bulb_max_sd = None
        self._wind_dir_avg = None
        self._wind_dir80m_avg = None
        self._wind_dir100m_avg = None
        self._wind_spd_min = None
        self._wind_spd_min_sd = None
        self._wind_spd_avg = None
        self._wind_spd_avg_sd = None
        self._wind_spd_max = None
        self._wind_spd_max_sd = None
        self.discriminator = None
        self._date = _date
        if cld_cvr_min is not None:
            self.cld_cvr_min = cld_cvr_min
        if cld_cvr_min_sd is not None:
            self.cld_cvr_min_sd = cld_cvr_min_sd
        if cld_cvr_avg is not None:
            self.cld_cvr_avg = cld_cvr_avg
        if cld_cvr_avg_sd is not None:
            self.cld_cvr_avg_sd = cld_cvr_avg_sd
        if cld_cvr_max is not None:
            self.cld_cvr_max = cld_cvr_max
        if cld_cvr_max_sd is not None:
            self.cld_cvr_max_sd = cld_cvr_max_sd
        if dew_pt_min is not None:
            self.dew_pt_min = dew_pt_min
        if dew_pt_min_sd is not None:
            self.dew_pt_min_sd = dew_pt_min_sd
        if dew_pt_avg is not None:
            self.dew_pt_avg = dew_pt_avg
        if dew_pt_avg_sd is not None:
            self.dew_pt_avg_sd = dew_pt_avg_sd
        if dew_pt_max is not None:
            self.dew_pt_max = dew_pt_max
        if dew_pt_max_sd is not None:
            self.dew_pt_max_sd = dew_pt_max_sd
        if feels_like_min is not None:
            self.feels_like_min = feels_like_min
        if feels_like_min_sd is not None:
            self.feels_like_min_sd = feels_like_min_sd
        if feels_like_avg is not None:
            self.feels_like_avg = feels_like_avg
        if feels_like_avg_sd is not None:
            self.feels_like_avg_sd = feels_like_avg_sd
        if feels_like_max is not None:
            self.feels_like_max = feels_like_max
        if feels_like_max_sd is not None:
            self.feels_like_max_sd = feels_like_max_sd
        if msl_pres_min is not None:
            self.msl_pres_min = msl_pres_min
        if msl_pres_min_sd is not None:
            self.msl_pres_min_sd = msl_pres_min_sd
        if msl_pres_avg is not None:
            self.msl_pres_avg = msl_pres_avg
        if msl_pres_avg_sd is not None:
            self.msl_pres_avg_sd = msl_pres_avg_sd
        if msl_pres_max is not None:
            self.msl_pres_max = msl_pres_max
        if msl_pres_max_sd is not None:
            self.msl_pres_max_sd = msl_pres_max_sd
        if precip is not None:
            self.precip = precip
        if precip_sd is not None:
            self.precip_sd = precip_sd
        if precip_freq is not None:
            self.precip_freq = precip_freq
        if precip_freq0 is not None:
            self.precip_freq0 = precip_freq0
        if precip_freq001_to009 is not None:
            self.precip_freq001_to009 = precip_freq001_to009
        if precip_freq010_to024 is not None:
            self.precip_freq010_to024 = precip_freq010_to024
        if precip_freq025_to049 is not None:
            self.precip_freq025_to049 = precip_freq025_to049
        if precip_freq050_to099 is not None:
            self.precip_freq050_to099 = precip_freq050_to099
        if precip_freq100_to249 is not None:
            self.precip_freq100_to249 = precip_freq100_to249
        if precip_freq250_to499 is not None:
            self.precip_freq250_to499 = precip_freq250_to499
        if precip_freq500_plus is not None:
            self.precip_freq500_plus = precip_freq500_plus
        if rad_solar_min is not None:
            self.rad_solar_min = rad_solar_min
        if rad_solar_min_sd is not None:
            self.rad_solar_min_sd = rad_solar_min_sd
        if rad_solar_avg is not None:
            self.rad_solar_avg = rad_solar_avg
        if rad_solar_avg_sd is not None:
            self.rad_solar_avg_sd = rad_solar_avg_sd
        if rad_solar_max is not None:
            self.rad_solar_max = rad_solar_max
        if rad_solar_max_sd is not None:
            self.rad_solar_max_sd = rad_solar_max_sd
        if rad_solar_tot is not None:
            self.rad_solar_tot = rad_solar_tot
        if rad_solar_tot_sd is not None:
            self.rad_solar_tot_sd = rad_solar_tot_sd
        if rel_hum_min is not None:
            self.rel_hum_min = rel_hum_min
        if rel_hum_min_sd is not None:
            self.rel_hum_min_sd = rel_hum_min_sd
        if rel_hum_avg is not None:
            self.rel_hum_avg = rel_hum_avg
        if rel_hum_avg_sd is not None:
            self.rel_hum_avg_sd = rel_hum_avg_sd
        if rel_hum_max is not None:
            self.rel_hum_max = rel_hum_max
        if rel_hum_max_sd is not None:
            self.rel_hum_max_sd = rel_hum_max_sd
        if sfc_pres_min is not None:
            self.sfc_pres_min = sfc_pres_min
        if sfc_pres_min_sd is not None:
            self.sfc_pres_min_sd = sfc_pres_min_sd
        if sfc_pres_avg is not None:
            self.sfc_pres_avg = sfc_pres_avg
        if sfc_pres_avg_sd is not None:
            self.sfc_pres_avg_sd = sfc_pres_avg_sd
        if sfc_pres_max is not None:
            self.sfc_pres_max = sfc_pres_max
        if sfc_pres_max_sd is not None:
            self.sfc_pres_max_sd = sfc_pres_max_sd
        if snow_depth is not None:
            self.snow_depth = snow_depth
        if snow_depth_sd is not None:
            self.snow_depth_sd = snow_depth_sd
        if snowfall is not None:
            self.snowfall = snowfall
        if snowfall_sd is not None:
            self.snowfall_sd = snowfall_sd
        if snowfall_freq is not None:
            self.snowfall_freq = snowfall_freq
        if snowfall_freq0 is not None:
            self.snowfall_freq0 = snowfall_freq0
        if snowfall_freq001_to009 is not None:
            self.snowfall_freq001_to009 = snowfall_freq001_to009
        if snowfall_freq010_to024 is not None:
            self.snowfall_freq010_to024 = snowfall_freq010_to024
        if snowfall_freq025_to049 is not None:
            self.snowfall_freq025_to049 = snowfall_freq025_to049
        if snowfall_freq050_to099 is not None:
            self.snowfall_freq050_to099 = snowfall_freq050_to099
        if snowfall_freq100_to149 is not None:
            self.snowfall_freq100_to149 = snowfall_freq100_to149
        if snowfall_freq150_to249 is not None:
            self.snowfall_freq150_to249 = snowfall_freq150_to249
        if snowfall_freq250_plus is not None:
            self.snowfall_freq250_plus = snowfall_freq250_plus
        if spc_hum_min is not None:
            self.spc_hum_min = spc_hum_min
        if spc_hum_min_sd is not None:
            self.spc_hum_min_sd = spc_hum_min_sd
        if spc_hum_avg is not None:
            self.spc_hum_avg = spc_hum_avg
        if spc_hum_avg_sd is not None:
            self.spc_hum_avg_sd = spc_hum_avg_sd
        if spc_hum_max is not None:
            self.spc_hum_max = spc_hum_max
        if spc_hum_max_sd is not None:
            self.spc_hum_max_sd = spc_hum_max_sd
        if temp_min is not None:
            self.temp_min = temp_min
        if temp_min_sd is not None:
            self.temp_min_sd = temp_min_sd
        if temp_avg is not None:
            self.temp_avg = temp_avg
        if temp_avg_sd is not None:
            self.temp_avg_sd = temp_avg_sd
        if temp_max is not None:
            self.temp_max = temp_max
        if temp_max_sd is not None:
            self.temp_max_sd = temp_max_sd
        if wet_bulb_min is not None:
            self.wet_bulb_min = wet_bulb_min
        if wet_bulb_min_sd is not None:
            self.wet_bulb_min_sd = wet_bulb_min_sd
        if wet_bulb_avg is not None:
            self.wet_bulb_avg = wet_bulb_avg
        if wet_bulb_avg_sd is not None:
            self.wet_bulb_avg_sd = wet_bulb_avg_sd
        if wet_bulb_max is not None:
            self.wet_bulb_max = wet_bulb_max
        if wet_bulb_max_sd is not None:
            self.wet_bulb_max_sd = wet_bulb_max_sd
        if wind_dir_avg is not None:
            self.wind_dir_avg = wind_dir_avg
        if wind_dir80m_avg is not None:
            self.wind_dir80m_avg = wind_dir80m_avg
        if wind_dir100m_avg is not None:
            self.wind_dir100m_avg = wind_dir100m_avg
        if wind_spd_min is not None:
            self.wind_spd_min = wind_spd_min
        if wind_spd_min_sd is not None:
            self.wind_spd_min_sd = wind_spd_min_sd
        if wind_spd_avg is not None:
            self.wind_spd_avg = wind_spd_avg
        if wind_spd_avg_sd is not None:
            self.wind_spd_avg_sd = wind_spd_avg_sd
        if wind_spd_max is not None:
            self.wind_spd_max = wind_spd_max
        if wind_spd_max_sd is not None:
            self.wind_spd_max_sd = wind_spd_max_sd

    @property
    def _date(self):
        """Gets the _date of this ClimatologyDayObj.  # noqa: E501


        :return: The _date of this ClimatologyDayObj.  # noqa: E501
        :rtype: date
        """
        return self.__date

    @_date.setter
    def _date(self, _date):
        """Sets the _date of this ClimatologyDayObj.


        :param _date: The _date of this ClimatologyDayObj.  # noqa: E501
        :type: date
        """
        if _date is None:
            raise ValueError("Invalid value for `_date`, must not be `None`")  # noqa: E501

        self.__date = _date

    @property
    def cld_cvr_min(self):
        """Gets the cld_cvr_min of this ClimatologyDayObj.  # noqa: E501


        :return: The cld_cvr_min of this ClimatologyDayObj.  # noqa: E501
        :rtype: CldCvrMin
        """
        return self._cld_cvr_min

    @cld_cvr_min.setter
    def cld_cvr_min(self, cld_cvr_min):
        """Sets the cld_cvr_min of this ClimatologyDayObj.


        :param cld_cvr_min: The cld_cvr_min of this ClimatologyDayObj.  # noqa: E501
        :type: CldCvrMin
        """

        self._cld_cvr_min = cld_cvr_min

    @property
    def cld_cvr_min_sd(self):
        """Gets the cld_cvr_min_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The cld_cvr_min_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: CldCvrMinSd
        """
        return self._cld_cvr_min_sd

    @cld_cvr_min_sd.setter
    def cld_cvr_min_sd(self, cld_cvr_min_sd):
        """Sets the cld_cvr_min_sd of this ClimatologyDayObj.


        :param cld_cvr_min_sd: The cld_cvr_min_sd of this ClimatologyDayObj.  # noqa: E501
        :type: CldCvrMinSd
        """

        self._cld_cvr_min_sd = cld_cvr_min_sd

    @property
    def cld_cvr_avg(self):
        """Gets the cld_cvr_avg of this ClimatologyDayObj.  # noqa: E501


        :return: The cld_cvr_avg of this ClimatologyDayObj.  # noqa: E501
        :rtype: CldCvrAvg
        """
        return self._cld_cvr_avg

    @cld_cvr_avg.setter
    def cld_cvr_avg(self, cld_cvr_avg):
        """Sets the cld_cvr_avg of this ClimatologyDayObj.


        :param cld_cvr_avg: The cld_cvr_avg of this ClimatologyDayObj.  # noqa: E501
        :type: CldCvrAvg
        """

        self._cld_cvr_avg = cld_cvr_avg

    @property
    def cld_cvr_avg_sd(self):
        """Gets the cld_cvr_avg_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The cld_cvr_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: CldCvrAvgSd
        """
        return self._cld_cvr_avg_sd

    @cld_cvr_avg_sd.setter
    def cld_cvr_avg_sd(self, cld_cvr_avg_sd):
        """Sets the cld_cvr_avg_sd of this ClimatologyDayObj.


        :param cld_cvr_avg_sd: The cld_cvr_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :type: CldCvrAvgSd
        """

        self._cld_cvr_avg_sd = cld_cvr_avg_sd

    @property
    def cld_cvr_max(self):
        """Gets the cld_cvr_max of this ClimatologyDayObj.  # noqa: E501


        :return: The cld_cvr_max of this ClimatologyDayObj.  # noqa: E501
        :rtype: CldCvrMax
        """
        return self._cld_cvr_max

    @cld_cvr_max.setter
    def cld_cvr_max(self, cld_cvr_max):
        """Sets the cld_cvr_max of this ClimatologyDayObj.


        :param cld_cvr_max: The cld_cvr_max of this ClimatologyDayObj.  # noqa: E501
        :type: CldCvrMax
        """

        self._cld_cvr_max = cld_cvr_max

    @property
    def cld_cvr_max_sd(self):
        """Gets the cld_cvr_max_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The cld_cvr_max_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: CldCvrMaxSd
        """
        return self._cld_cvr_max_sd

    @cld_cvr_max_sd.setter
    def cld_cvr_max_sd(self, cld_cvr_max_sd):
        """Sets the cld_cvr_max_sd of this ClimatologyDayObj.


        :param cld_cvr_max_sd: The cld_cvr_max_sd of this ClimatologyDayObj.  # noqa: E501
        :type: CldCvrMaxSd
        """

        self._cld_cvr_max_sd = cld_cvr_max_sd

    @property
    def dew_pt_min(self):
        """Gets the dew_pt_min of this ClimatologyDayObj.  # noqa: E501


        :return: The dew_pt_min of this ClimatologyDayObj.  # noqa: E501
        :rtype: DewPtMin
        """
        return self._dew_pt_min

    @dew_pt_min.setter
    def dew_pt_min(self, dew_pt_min):
        """Sets the dew_pt_min of this ClimatologyDayObj.


        :param dew_pt_min: The dew_pt_min of this ClimatologyDayObj.  # noqa: E501
        :type: DewPtMin
        """

        self._dew_pt_min = dew_pt_min

    @property
    def dew_pt_min_sd(self):
        """Gets the dew_pt_min_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The dew_pt_min_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: DewPtMinSd
        """
        return self._dew_pt_min_sd

    @dew_pt_min_sd.setter
    def dew_pt_min_sd(self, dew_pt_min_sd):
        """Sets the dew_pt_min_sd of this ClimatologyDayObj.


        :param dew_pt_min_sd: The dew_pt_min_sd of this ClimatologyDayObj.  # noqa: E501
        :type: DewPtMinSd
        """

        self._dew_pt_min_sd = dew_pt_min_sd

    @property
    def dew_pt_avg(self):
        """Gets the dew_pt_avg of this ClimatologyDayObj.  # noqa: E501


        :return: The dew_pt_avg of this ClimatologyDayObj.  # noqa: E501
        :rtype: DewPtAvg
        """
        return self._dew_pt_avg

    @dew_pt_avg.setter
    def dew_pt_avg(self, dew_pt_avg):
        """Sets the dew_pt_avg of this ClimatologyDayObj.


        :param dew_pt_avg: The dew_pt_avg of this ClimatologyDayObj.  # noqa: E501
        :type: DewPtAvg
        """

        self._dew_pt_avg = dew_pt_avg

    @property
    def dew_pt_avg_sd(self):
        """Gets the dew_pt_avg_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The dew_pt_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: DewPtAvgSd
        """
        return self._dew_pt_avg_sd

    @dew_pt_avg_sd.setter
    def dew_pt_avg_sd(self, dew_pt_avg_sd):
        """Sets the dew_pt_avg_sd of this ClimatologyDayObj.


        :param dew_pt_avg_sd: The dew_pt_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :type: DewPtAvgSd
        """

        self._dew_pt_avg_sd = dew_pt_avg_sd

    @property
    def dew_pt_max(self):
        """Gets the dew_pt_max of this ClimatologyDayObj.  # noqa: E501


        :return: The dew_pt_max of this ClimatologyDayObj.  # noqa: E501
        :rtype: DewPtMax
        """
        return self._dew_pt_max

    @dew_pt_max.setter
    def dew_pt_max(self, dew_pt_max):
        """Sets the dew_pt_max of this ClimatologyDayObj.


        :param dew_pt_max: The dew_pt_max of this ClimatologyDayObj.  # noqa: E501
        :type: DewPtMax
        """

        self._dew_pt_max = dew_pt_max

    @property
    def dew_pt_max_sd(self):
        """Gets the dew_pt_max_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The dew_pt_max_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: DewPtMaxSd
        """
        return self._dew_pt_max_sd

    @dew_pt_max_sd.setter
    def dew_pt_max_sd(self, dew_pt_max_sd):
        """Sets the dew_pt_max_sd of this ClimatologyDayObj.


        :param dew_pt_max_sd: The dew_pt_max_sd of this ClimatologyDayObj.  # noqa: E501
        :type: DewPtMaxSd
        """

        self._dew_pt_max_sd = dew_pt_max_sd

    @property
    def feels_like_min(self):
        """Gets the feels_like_min of this ClimatologyDayObj.  # noqa: E501


        :return: The feels_like_min of this ClimatologyDayObj.  # noqa: E501
        :rtype: FeelsLikeMin
        """
        return self._feels_like_min

    @feels_like_min.setter
    def feels_like_min(self, feels_like_min):
        """Sets the feels_like_min of this ClimatologyDayObj.


        :param feels_like_min: The feels_like_min of this ClimatologyDayObj.  # noqa: E501
        :type: FeelsLikeMin
        """

        self._feels_like_min = feels_like_min

    @property
    def feels_like_min_sd(self):
        """Gets the feels_like_min_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The feels_like_min_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: FeelsLikeMinSd
        """
        return self._feels_like_min_sd

    @feels_like_min_sd.setter
    def feels_like_min_sd(self, feels_like_min_sd):
        """Sets the feels_like_min_sd of this ClimatologyDayObj.


        :param feels_like_min_sd: The feels_like_min_sd of this ClimatologyDayObj.  # noqa: E501
        :type: FeelsLikeMinSd
        """

        self._feels_like_min_sd = feels_like_min_sd

    @property
    def feels_like_avg(self):
        """Gets the feels_like_avg of this ClimatologyDayObj.  # noqa: E501


        :return: The feels_like_avg of this ClimatologyDayObj.  # noqa: E501
        :rtype: FeelsLikeAvg
        """
        return self._feels_like_avg

    @feels_like_avg.setter
    def feels_like_avg(self, feels_like_avg):
        """Sets the feels_like_avg of this ClimatologyDayObj.


        :param feels_like_avg: The feels_like_avg of this ClimatologyDayObj.  # noqa: E501
        :type: FeelsLikeAvg
        """

        self._feels_like_avg = feels_like_avg

    @property
    def feels_like_avg_sd(self):
        """Gets the feels_like_avg_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The feels_like_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: FeelsLikeAvgSd
        """
        return self._feels_like_avg_sd

    @feels_like_avg_sd.setter
    def feels_like_avg_sd(self, feels_like_avg_sd):
        """Sets the feels_like_avg_sd of this ClimatologyDayObj.


        :param feels_like_avg_sd: The feels_like_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :type: FeelsLikeAvgSd
        """

        self._feels_like_avg_sd = feels_like_avg_sd

    @property
    def feels_like_max(self):
        """Gets the feels_like_max of this ClimatologyDayObj.  # noqa: E501


        :return: The feels_like_max of this ClimatologyDayObj.  # noqa: E501
        :rtype: FeelsLikeMax
        """
        return self._feels_like_max

    @feels_like_max.setter
    def feels_like_max(self, feels_like_max):
        """Sets the feels_like_max of this ClimatologyDayObj.


        :param feels_like_max: The feels_like_max of this ClimatologyDayObj.  # noqa: E501
        :type: FeelsLikeMax
        """

        self._feels_like_max = feels_like_max

    @property
    def feels_like_max_sd(self):
        """Gets the feels_like_max_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The feels_like_max_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: FeelsLikeMaxSd
        """
        return self._feels_like_max_sd

    @feels_like_max_sd.setter
    def feels_like_max_sd(self, feels_like_max_sd):
        """Sets the feels_like_max_sd of this ClimatologyDayObj.


        :param feels_like_max_sd: The feels_like_max_sd of this ClimatologyDayObj.  # noqa: E501
        :type: FeelsLikeMaxSd
        """

        self._feels_like_max_sd = feels_like_max_sd

    @property
    def msl_pres_min(self):
        """Gets the msl_pres_min of this ClimatologyDayObj.  # noqa: E501


        :return: The msl_pres_min of this ClimatologyDayObj.  # noqa: E501
        :rtype: MslPresMin
        """
        return self._msl_pres_min

    @msl_pres_min.setter
    def msl_pres_min(self, msl_pres_min):
        """Sets the msl_pres_min of this ClimatologyDayObj.


        :param msl_pres_min: The msl_pres_min of this ClimatologyDayObj.  # noqa: E501
        :type: MslPresMin
        """

        self._msl_pres_min = msl_pres_min

    @property
    def msl_pres_min_sd(self):
        """Gets the msl_pres_min_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The msl_pres_min_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: MslPresMinSd
        """
        return self._msl_pres_min_sd

    @msl_pres_min_sd.setter
    def msl_pres_min_sd(self, msl_pres_min_sd):
        """Sets the msl_pres_min_sd of this ClimatologyDayObj.


        :param msl_pres_min_sd: The msl_pres_min_sd of this ClimatologyDayObj.  # noqa: E501
        :type: MslPresMinSd
        """

        self._msl_pres_min_sd = msl_pres_min_sd

    @property
    def msl_pres_avg(self):
        """Gets the msl_pres_avg of this ClimatologyDayObj.  # noqa: E501


        :return: The msl_pres_avg of this ClimatologyDayObj.  # noqa: E501
        :rtype: MslPresAvg
        """
        return self._msl_pres_avg

    @msl_pres_avg.setter
    def msl_pres_avg(self, msl_pres_avg):
        """Sets the msl_pres_avg of this ClimatologyDayObj.


        :param msl_pres_avg: The msl_pres_avg of this ClimatologyDayObj.  # noqa: E501
        :type: MslPresAvg
        """

        self._msl_pres_avg = msl_pres_avg

    @property
    def msl_pres_avg_sd(self):
        """Gets the msl_pres_avg_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The msl_pres_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: MslPresAvgSd
        """
        return self._msl_pres_avg_sd

    @msl_pres_avg_sd.setter
    def msl_pres_avg_sd(self, msl_pres_avg_sd):
        """Sets the msl_pres_avg_sd of this ClimatologyDayObj.


        :param msl_pres_avg_sd: The msl_pres_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :type: MslPresAvgSd
        """

        self._msl_pres_avg_sd = msl_pres_avg_sd

    @property
    def msl_pres_max(self):
        """Gets the msl_pres_max of this ClimatologyDayObj.  # noqa: E501


        :return: The msl_pres_max of this ClimatologyDayObj.  # noqa: E501
        :rtype: MslPresMax
        """
        return self._msl_pres_max

    @msl_pres_max.setter
    def msl_pres_max(self, msl_pres_max):
        """Sets the msl_pres_max of this ClimatologyDayObj.


        :param msl_pres_max: The msl_pres_max of this ClimatologyDayObj.  # noqa: E501
        :type: MslPresMax
        """

        self._msl_pres_max = msl_pres_max

    @property
    def msl_pres_max_sd(self):
        """Gets the msl_pres_max_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The msl_pres_max_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: MslPresMaxSd
        """
        return self._msl_pres_max_sd

    @msl_pres_max_sd.setter
    def msl_pres_max_sd(self, msl_pres_max_sd):
        """Sets the msl_pres_max_sd of this ClimatologyDayObj.


        :param msl_pres_max_sd: The msl_pres_max_sd of this ClimatologyDayObj.  # noqa: E501
        :type: MslPresMaxSd
        """

        self._msl_pres_max_sd = msl_pres_max_sd

    @property
    def precip(self):
        """Gets the precip of this ClimatologyDayObj.  # noqa: E501


        :return: The precip of this ClimatologyDayObj.  # noqa: E501
        :rtype: Precip
        """
        return self._precip

    @precip.setter
    def precip(self, precip):
        """Sets the precip of this ClimatologyDayObj.


        :param precip: The precip of this ClimatologyDayObj.  # noqa: E501
        :type: Precip
        """

        self._precip = precip

    @property
    def precip_sd(self):
        """Gets the precip_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The precip_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: PrecipSd
        """
        return self._precip_sd

    @precip_sd.setter
    def precip_sd(self, precip_sd):
        """Sets the precip_sd of this ClimatologyDayObj.


        :param precip_sd: The precip_sd of this ClimatologyDayObj.  # noqa: E501
        :type: PrecipSd
        """

        self._precip_sd = precip_sd

    @property
    def precip_freq(self):
        """Gets the precip_freq of this ClimatologyDayObj.  # noqa: E501


        :return: The precip_freq of this ClimatologyDayObj.  # noqa: E501
        :rtype: PrecipFreq
        """
        return self._precip_freq

    @precip_freq.setter
    def precip_freq(self, precip_freq):
        """Sets the precip_freq of this ClimatologyDayObj.


        :param precip_freq: The precip_freq of this ClimatologyDayObj.  # noqa: E501
        :type: PrecipFreq
        """

        self._precip_freq = precip_freq

    @property
    def precip_freq0(self):
        """Gets the precip_freq0 of this ClimatologyDayObj.  # noqa: E501


        :return: The precip_freq0 of this ClimatologyDayObj.  # noqa: E501
        :rtype: PrecipFreq0
        """
        return self._precip_freq0

    @precip_freq0.setter
    def precip_freq0(self, precip_freq0):
        """Sets the precip_freq0 of this ClimatologyDayObj.


        :param precip_freq0: The precip_freq0 of this ClimatologyDayObj.  # noqa: E501
        :type: PrecipFreq0
        """

        self._precip_freq0 = precip_freq0

    @property
    def precip_freq001_to009(self):
        """Gets the precip_freq001_to009 of this ClimatologyDayObj.  # noqa: E501


        :return: The precip_freq001_to009 of this ClimatologyDayObj.  # noqa: E501
        :rtype: PrecipFreq001To009
        """
        return self._precip_freq001_to009

    @precip_freq001_to009.setter
    def precip_freq001_to009(self, precip_freq001_to009):
        """Sets the precip_freq001_to009 of this ClimatologyDayObj.


        :param precip_freq001_to009: The precip_freq001_to009 of this ClimatologyDayObj.  # noqa: E501
        :type: PrecipFreq001To009
        """

        self._precip_freq001_to009 = precip_freq001_to009

    @property
    def precip_freq010_to024(self):
        """Gets the precip_freq010_to024 of this ClimatologyDayObj.  # noqa: E501


        :return: The precip_freq010_to024 of this ClimatologyDayObj.  # noqa: E501
        :rtype: PrecipFreq010To024
        """
        return self._precip_freq010_to024

    @precip_freq010_to024.setter
    def precip_freq010_to024(self, precip_freq010_to024):
        """Sets the precip_freq010_to024 of this ClimatologyDayObj.


        :param precip_freq010_to024: The precip_freq010_to024 of this ClimatologyDayObj.  # noqa: E501
        :type: PrecipFreq010To024
        """

        self._precip_freq010_to024 = precip_freq010_to024

    @property
    def precip_freq025_to049(self):
        """Gets the precip_freq025_to049 of this ClimatologyDayObj.  # noqa: E501


        :return: The precip_freq025_to049 of this ClimatologyDayObj.  # noqa: E501
        :rtype: PrecipFreq025To049
        """
        return self._precip_freq025_to049

    @precip_freq025_to049.setter
    def precip_freq025_to049(self, precip_freq025_to049):
        """Sets the precip_freq025_to049 of this ClimatologyDayObj.


        :param precip_freq025_to049: The precip_freq025_to049 of this ClimatologyDayObj.  # noqa: E501
        :type: PrecipFreq025To049
        """

        self._precip_freq025_to049 = precip_freq025_to049

    @property
    def precip_freq050_to099(self):
        """Gets the precip_freq050_to099 of this ClimatologyDayObj.  # noqa: E501


        :return: The precip_freq050_to099 of this ClimatologyDayObj.  # noqa: E501
        :rtype: PrecipFreq050To099
        """
        return self._precip_freq050_to099

    @precip_freq050_to099.setter
    def precip_freq050_to099(self, precip_freq050_to099):
        """Sets the precip_freq050_to099 of this ClimatologyDayObj.


        :param precip_freq050_to099: The precip_freq050_to099 of this ClimatologyDayObj.  # noqa: E501
        :type: PrecipFreq050To099
        """

        self._precip_freq050_to099 = precip_freq050_to099

    @property
    def precip_freq100_to249(self):
        """Gets the precip_freq100_to249 of this ClimatologyDayObj.  # noqa: E501


        :return: The precip_freq100_to249 of this ClimatologyDayObj.  # noqa: E501
        :rtype: PrecipFreq100To249
        """
        return self._precip_freq100_to249

    @precip_freq100_to249.setter
    def precip_freq100_to249(self, precip_freq100_to249):
        """Sets the precip_freq100_to249 of this ClimatologyDayObj.


        :param precip_freq100_to249: The precip_freq100_to249 of this ClimatologyDayObj.  # noqa: E501
        :type: PrecipFreq100To249
        """

        self._precip_freq100_to249 = precip_freq100_to249

    @property
    def precip_freq250_to499(self):
        """Gets the precip_freq250_to499 of this ClimatologyDayObj.  # noqa: E501


        :return: The precip_freq250_to499 of this ClimatologyDayObj.  # noqa: E501
        :rtype: PrecipFreq250To499
        """
        return self._precip_freq250_to499

    @precip_freq250_to499.setter
    def precip_freq250_to499(self, precip_freq250_to499):
        """Sets the precip_freq250_to499 of this ClimatologyDayObj.


        :param precip_freq250_to499: The precip_freq250_to499 of this ClimatologyDayObj.  # noqa: E501
        :type: PrecipFreq250To499
        """

        self._precip_freq250_to499 = precip_freq250_to499

    @property
    def precip_freq500_plus(self):
        """Gets the precip_freq500_plus of this ClimatologyDayObj.  # noqa: E501


        :return: The precip_freq500_plus of this ClimatologyDayObj.  # noqa: E501
        :rtype: PrecipFreq500Plus
        """
        return self._precip_freq500_plus

    @precip_freq500_plus.setter
    def precip_freq500_plus(self, precip_freq500_plus):
        """Sets the precip_freq500_plus of this ClimatologyDayObj.


        :param precip_freq500_plus: The precip_freq500_plus of this ClimatologyDayObj.  # noqa: E501
        :type: PrecipFreq500Plus
        """

        self._precip_freq500_plus = precip_freq500_plus

    @property
    def rad_solar_min(self):
        """Gets the rad_solar_min of this ClimatologyDayObj.  # noqa: E501


        :return: The rad_solar_min of this ClimatologyDayObj.  # noqa: E501
        :rtype: RadSolarMin
        """
        return self._rad_solar_min

    @rad_solar_min.setter
    def rad_solar_min(self, rad_solar_min):
        """Sets the rad_solar_min of this ClimatologyDayObj.


        :param rad_solar_min: The rad_solar_min of this ClimatologyDayObj.  # noqa: E501
        :type: RadSolarMin
        """

        self._rad_solar_min = rad_solar_min

    @property
    def rad_solar_min_sd(self):
        """Gets the rad_solar_min_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The rad_solar_min_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: RadSolarMinSd
        """
        return self._rad_solar_min_sd

    @rad_solar_min_sd.setter
    def rad_solar_min_sd(self, rad_solar_min_sd):
        """Sets the rad_solar_min_sd of this ClimatologyDayObj.


        :param rad_solar_min_sd: The rad_solar_min_sd of this ClimatologyDayObj.  # noqa: E501
        :type: RadSolarMinSd
        """

        self._rad_solar_min_sd = rad_solar_min_sd

    @property
    def rad_solar_avg(self):
        """Gets the rad_solar_avg of this ClimatologyDayObj.  # noqa: E501


        :return: The rad_solar_avg of this ClimatologyDayObj.  # noqa: E501
        :rtype: RadSolarAvg
        """
        return self._rad_solar_avg

    @rad_solar_avg.setter
    def rad_solar_avg(self, rad_solar_avg):
        """Sets the rad_solar_avg of this ClimatologyDayObj.


        :param rad_solar_avg: The rad_solar_avg of this ClimatologyDayObj.  # noqa: E501
        :type: RadSolarAvg
        """

        self._rad_solar_avg = rad_solar_avg

    @property
    def rad_solar_avg_sd(self):
        """Gets the rad_solar_avg_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The rad_solar_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: RadSolarAvgSd
        """
        return self._rad_solar_avg_sd

    @rad_solar_avg_sd.setter
    def rad_solar_avg_sd(self, rad_solar_avg_sd):
        """Sets the rad_solar_avg_sd of this ClimatologyDayObj.


        :param rad_solar_avg_sd: The rad_solar_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :type: RadSolarAvgSd
        """

        self._rad_solar_avg_sd = rad_solar_avg_sd

    @property
    def rad_solar_max(self):
        """Gets the rad_solar_max of this ClimatologyDayObj.  # noqa: E501


        :return: The rad_solar_max of this ClimatologyDayObj.  # noqa: E501
        :rtype: RadSolarMax
        """
        return self._rad_solar_max

    @rad_solar_max.setter
    def rad_solar_max(self, rad_solar_max):
        """Sets the rad_solar_max of this ClimatologyDayObj.


        :param rad_solar_max: The rad_solar_max of this ClimatologyDayObj.  # noqa: E501
        :type: RadSolarMax
        """

        self._rad_solar_max = rad_solar_max

    @property
    def rad_solar_max_sd(self):
        """Gets the rad_solar_max_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The rad_solar_max_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: RadSolarMaxSd
        """
        return self._rad_solar_max_sd

    @rad_solar_max_sd.setter
    def rad_solar_max_sd(self, rad_solar_max_sd):
        """Sets the rad_solar_max_sd of this ClimatologyDayObj.


        :param rad_solar_max_sd: The rad_solar_max_sd of this ClimatologyDayObj.  # noqa: E501
        :type: RadSolarMaxSd
        """

        self._rad_solar_max_sd = rad_solar_max_sd

    @property
    def rad_solar_tot(self):
        """Gets the rad_solar_tot of this ClimatologyDayObj.  # noqa: E501


        :return: The rad_solar_tot of this ClimatologyDayObj.  # noqa: E501
        :rtype: RadSolarTot
        """
        return self._rad_solar_tot

    @rad_solar_tot.setter
    def rad_solar_tot(self, rad_solar_tot):
        """Sets the rad_solar_tot of this ClimatologyDayObj.


        :param rad_solar_tot: The rad_solar_tot of this ClimatologyDayObj.  # noqa: E501
        :type: RadSolarTot
        """

        self._rad_solar_tot = rad_solar_tot

    @property
    def rad_solar_tot_sd(self):
        """Gets the rad_solar_tot_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The rad_solar_tot_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: RadSolarTotSd
        """
        return self._rad_solar_tot_sd

    @rad_solar_tot_sd.setter
    def rad_solar_tot_sd(self, rad_solar_tot_sd):
        """Sets the rad_solar_tot_sd of this ClimatologyDayObj.


        :param rad_solar_tot_sd: The rad_solar_tot_sd of this ClimatologyDayObj.  # noqa: E501
        :type: RadSolarTotSd
        """

        self._rad_solar_tot_sd = rad_solar_tot_sd

    @property
    def rel_hum_min(self):
        """Gets the rel_hum_min of this ClimatologyDayObj.  # noqa: E501


        :return: The rel_hum_min of this ClimatologyDayObj.  # noqa: E501
        :rtype: RelHumMin
        """
        return self._rel_hum_min

    @rel_hum_min.setter
    def rel_hum_min(self, rel_hum_min):
        """Sets the rel_hum_min of this ClimatologyDayObj.


        :param rel_hum_min: The rel_hum_min of this ClimatologyDayObj.  # noqa: E501
        :type: RelHumMin
        """

        self._rel_hum_min = rel_hum_min

    @property
    def rel_hum_min_sd(self):
        """Gets the rel_hum_min_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The rel_hum_min_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: RelHumMinSd
        """
        return self._rel_hum_min_sd

    @rel_hum_min_sd.setter
    def rel_hum_min_sd(self, rel_hum_min_sd):
        """Sets the rel_hum_min_sd of this ClimatologyDayObj.


        :param rel_hum_min_sd: The rel_hum_min_sd of this ClimatologyDayObj.  # noqa: E501
        :type: RelHumMinSd
        """

        self._rel_hum_min_sd = rel_hum_min_sd

    @property
    def rel_hum_avg(self):
        """Gets the rel_hum_avg of this ClimatologyDayObj.  # noqa: E501


        :return: The rel_hum_avg of this ClimatologyDayObj.  # noqa: E501
        :rtype: RelHumAvg
        """
        return self._rel_hum_avg

    @rel_hum_avg.setter
    def rel_hum_avg(self, rel_hum_avg):
        """Sets the rel_hum_avg of this ClimatologyDayObj.


        :param rel_hum_avg: The rel_hum_avg of this ClimatologyDayObj.  # noqa: E501
        :type: RelHumAvg
        """

        self._rel_hum_avg = rel_hum_avg

    @property
    def rel_hum_avg_sd(self):
        """Gets the rel_hum_avg_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The rel_hum_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: RelHumAvgSd
        """
        return self._rel_hum_avg_sd

    @rel_hum_avg_sd.setter
    def rel_hum_avg_sd(self, rel_hum_avg_sd):
        """Sets the rel_hum_avg_sd of this ClimatologyDayObj.


        :param rel_hum_avg_sd: The rel_hum_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :type: RelHumAvgSd
        """

        self._rel_hum_avg_sd = rel_hum_avg_sd

    @property
    def rel_hum_max(self):
        """Gets the rel_hum_max of this ClimatologyDayObj.  # noqa: E501


        :return: The rel_hum_max of this ClimatologyDayObj.  # noqa: E501
        :rtype: RelHumMax
        """
        return self._rel_hum_max

    @rel_hum_max.setter
    def rel_hum_max(self, rel_hum_max):
        """Sets the rel_hum_max of this ClimatologyDayObj.


        :param rel_hum_max: The rel_hum_max of this ClimatologyDayObj.  # noqa: E501
        :type: RelHumMax
        """

        self._rel_hum_max = rel_hum_max

    @property
    def rel_hum_max_sd(self):
        """Gets the rel_hum_max_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The rel_hum_max_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: RelHumMaxSd
        """
        return self._rel_hum_max_sd

    @rel_hum_max_sd.setter
    def rel_hum_max_sd(self, rel_hum_max_sd):
        """Sets the rel_hum_max_sd of this ClimatologyDayObj.


        :param rel_hum_max_sd: The rel_hum_max_sd of this ClimatologyDayObj.  # noqa: E501
        :type: RelHumMaxSd
        """

        self._rel_hum_max_sd = rel_hum_max_sd

    @property
    def sfc_pres_min(self):
        """Gets the sfc_pres_min of this ClimatologyDayObj.  # noqa: E501


        :return: The sfc_pres_min of this ClimatologyDayObj.  # noqa: E501
        :rtype: SfcPresMin
        """
        return self._sfc_pres_min

    @sfc_pres_min.setter
    def sfc_pres_min(self, sfc_pres_min):
        """Sets the sfc_pres_min of this ClimatologyDayObj.


        :param sfc_pres_min: The sfc_pres_min of this ClimatologyDayObj.  # noqa: E501
        :type: SfcPresMin
        """

        self._sfc_pres_min = sfc_pres_min

    @property
    def sfc_pres_min_sd(self):
        """Gets the sfc_pres_min_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The sfc_pres_min_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: SfcPresMinSd
        """
        return self._sfc_pres_min_sd

    @sfc_pres_min_sd.setter
    def sfc_pres_min_sd(self, sfc_pres_min_sd):
        """Sets the sfc_pres_min_sd of this ClimatologyDayObj.


        :param sfc_pres_min_sd: The sfc_pres_min_sd of this ClimatologyDayObj.  # noqa: E501
        :type: SfcPresMinSd
        """

        self._sfc_pres_min_sd = sfc_pres_min_sd

    @property
    def sfc_pres_avg(self):
        """Gets the sfc_pres_avg of this ClimatologyDayObj.  # noqa: E501


        :return: The sfc_pres_avg of this ClimatologyDayObj.  # noqa: E501
        :rtype: SfcPresAvg
        """
        return self._sfc_pres_avg

    @sfc_pres_avg.setter
    def sfc_pres_avg(self, sfc_pres_avg):
        """Sets the sfc_pres_avg of this ClimatologyDayObj.


        :param sfc_pres_avg: The sfc_pres_avg of this ClimatologyDayObj.  # noqa: E501
        :type: SfcPresAvg
        """

        self._sfc_pres_avg = sfc_pres_avg

    @property
    def sfc_pres_avg_sd(self):
        """Gets the sfc_pres_avg_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The sfc_pres_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: SfcPresAvgSd
        """
        return self._sfc_pres_avg_sd

    @sfc_pres_avg_sd.setter
    def sfc_pres_avg_sd(self, sfc_pres_avg_sd):
        """Sets the sfc_pres_avg_sd of this ClimatologyDayObj.


        :param sfc_pres_avg_sd: The sfc_pres_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :type: SfcPresAvgSd
        """

        self._sfc_pres_avg_sd = sfc_pres_avg_sd

    @property
    def sfc_pres_max(self):
        """Gets the sfc_pres_max of this ClimatologyDayObj.  # noqa: E501


        :return: The sfc_pres_max of this ClimatologyDayObj.  # noqa: E501
        :rtype: SfcPresMax
        """
        return self._sfc_pres_max

    @sfc_pres_max.setter
    def sfc_pres_max(self, sfc_pres_max):
        """Sets the sfc_pres_max of this ClimatologyDayObj.


        :param sfc_pres_max: The sfc_pres_max of this ClimatologyDayObj.  # noqa: E501
        :type: SfcPresMax
        """

        self._sfc_pres_max = sfc_pres_max

    @property
    def sfc_pres_max_sd(self):
        """Gets the sfc_pres_max_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The sfc_pres_max_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: SfcPresMaxSd
        """
        return self._sfc_pres_max_sd

    @sfc_pres_max_sd.setter
    def sfc_pres_max_sd(self, sfc_pres_max_sd):
        """Sets the sfc_pres_max_sd of this ClimatologyDayObj.


        :param sfc_pres_max_sd: The sfc_pres_max_sd of this ClimatologyDayObj.  # noqa: E501
        :type: SfcPresMaxSd
        """

        self._sfc_pres_max_sd = sfc_pres_max_sd

    @property
    def snow_depth(self):
        """Gets the snow_depth of this ClimatologyDayObj.  # noqa: E501


        :return: The snow_depth of this ClimatologyDayObj.  # noqa: E501
        :rtype: SnowDepth
        """
        return self._snow_depth

    @snow_depth.setter
    def snow_depth(self, snow_depth):
        """Sets the snow_depth of this ClimatologyDayObj.


        :param snow_depth: The snow_depth of this ClimatologyDayObj.  # noqa: E501
        :type: SnowDepth
        """

        self._snow_depth = snow_depth

    @property
    def snow_depth_sd(self):
        """Gets the snow_depth_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The snow_depth_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: SnowDepthSd
        """
        return self._snow_depth_sd

    @snow_depth_sd.setter
    def snow_depth_sd(self, snow_depth_sd):
        """Sets the snow_depth_sd of this ClimatologyDayObj.


        :param snow_depth_sd: The snow_depth_sd of this ClimatologyDayObj.  # noqa: E501
        :type: SnowDepthSd
        """

        self._snow_depth_sd = snow_depth_sd

    @property
    def snowfall(self):
        """Gets the snowfall of this ClimatologyDayObj.  # noqa: E501


        :return: The snowfall of this ClimatologyDayObj.  # noqa: E501
        :rtype: Snowfall
        """
        return self._snowfall

    @snowfall.setter
    def snowfall(self, snowfall):
        """Sets the snowfall of this ClimatologyDayObj.


        :param snowfall: The snowfall of this ClimatologyDayObj.  # noqa: E501
        :type: Snowfall
        """

        self._snowfall = snowfall

    @property
    def snowfall_sd(self):
        """Gets the snowfall_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The snowfall_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: SnowfallSd
        """
        return self._snowfall_sd

    @snowfall_sd.setter
    def snowfall_sd(self, snowfall_sd):
        """Sets the snowfall_sd of this ClimatologyDayObj.


        :param snowfall_sd: The snowfall_sd of this ClimatologyDayObj.  # noqa: E501
        :type: SnowfallSd
        """

        self._snowfall_sd = snowfall_sd

    @property
    def snowfall_freq(self):
        """Gets the snowfall_freq of this ClimatologyDayObj.  # noqa: E501


        :return: The snowfall_freq of this ClimatologyDayObj.  # noqa: E501
        :rtype: SnowfallFreq
        """
        return self._snowfall_freq

    @snowfall_freq.setter
    def snowfall_freq(self, snowfall_freq):
        """Sets the snowfall_freq of this ClimatologyDayObj.


        :param snowfall_freq: The snowfall_freq of this ClimatologyDayObj.  # noqa: E501
        :type: SnowfallFreq
        """

        self._snowfall_freq = snowfall_freq

    @property
    def snowfall_freq0(self):
        """Gets the snowfall_freq0 of this ClimatologyDayObj.  # noqa: E501


        :return: The snowfall_freq0 of this ClimatologyDayObj.  # noqa: E501
        :rtype: SnowfallFreq0
        """
        return self._snowfall_freq0

    @snowfall_freq0.setter
    def snowfall_freq0(self, snowfall_freq0):
        """Sets the snowfall_freq0 of this ClimatologyDayObj.


        :param snowfall_freq0: The snowfall_freq0 of this ClimatologyDayObj.  # noqa: E501
        :type: SnowfallFreq0
        """

        self._snowfall_freq0 = snowfall_freq0

    @property
    def snowfall_freq001_to009(self):
        """Gets the snowfall_freq001_to009 of this ClimatologyDayObj.  # noqa: E501


        :return: The snowfall_freq001_to009 of this ClimatologyDayObj.  # noqa: E501
        :rtype: SnowfallFreq001To009
        """
        return self._snowfall_freq001_to009

    @snowfall_freq001_to009.setter
    def snowfall_freq001_to009(self, snowfall_freq001_to009):
        """Sets the snowfall_freq001_to009 of this ClimatologyDayObj.


        :param snowfall_freq001_to009: The snowfall_freq001_to009 of this ClimatologyDayObj.  # noqa: E501
        :type: SnowfallFreq001To009
        """

        self._snowfall_freq001_to009 = snowfall_freq001_to009

    @property
    def snowfall_freq010_to024(self):
        """Gets the snowfall_freq010_to024 of this ClimatologyDayObj.  # noqa: E501


        :return: The snowfall_freq010_to024 of this ClimatologyDayObj.  # noqa: E501
        :rtype: SnowfallFreq010To024
        """
        return self._snowfall_freq010_to024

    @snowfall_freq010_to024.setter
    def snowfall_freq010_to024(self, snowfall_freq010_to024):
        """Sets the snowfall_freq010_to024 of this ClimatologyDayObj.


        :param snowfall_freq010_to024: The snowfall_freq010_to024 of this ClimatologyDayObj.  # noqa: E501
        :type: SnowfallFreq010To024
        """

        self._snowfall_freq010_to024 = snowfall_freq010_to024

    @property
    def snowfall_freq025_to049(self):
        """Gets the snowfall_freq025_to049 of this ClimatologyDayObj.  # noqa: E501


        :return: The snowfall_freq025_to049 of this ClimatologyDayObj.  # noqa: E501
        :rtype: SnowfallFreq025To049
        """
        return self._snowfall_freq025_to049

    @snowfall_freq025_to049.setter
    def snowfall_freq025_to049(self, snowfall_freq025_to049):
        """Sets the snowfall_freq025_to049 of this ClimatologyDayObj.


        :param snowfall_freq025_to049: The snowfall_freq025_to049 of this ClimatologyDayObj.  # noqa: E501
        :type: SnowfallFreq025To049
        """

        self._snowfall_freq025_to049 = snowfall_freq025_to049

    @property
    def snowfall_freq050_to099(self):
        """Gets the snowfall_freq050_to099 of this ClimatologyDayObj.  # noqa: E501


        :return: The snowfall_freq050_to099 of this ClimatologyDayObj.  # noqa: E501
        :rtype: SnowfallFreq050To099
        """
        return self._snowfall_freq050_to099

    @snowfall_freq050_to099.setter
    def snowfall_freq050_to099(self, snowfall_freq050_to099):
        """Sets the snowfall_freq050_to099 of this ClimatologyDayObj.


        :param snowfall_freq050_to099: The snowfall_freq050_to099 of this ClimatologyDayObj.  # noqa: E501
        :type: SnowfallFreq050To099
        """

        self._snowfall_freq050_to099 = snowfall_freq050_to099

    @property
    def snowfall_freq100_to149(self):
        """Gets the snowfall_freq100_to149 of this ClimatologyDayObj.  # noqa: E501


        :return: The snowfall_freq100_to149 of this ClimatologyDayObj.  # noqa: E501
        :rtype: SnowfallFreq100To149
        """
        return self._snowfall_freq100_to149

    @snowfall_freq100_to149.setter
    def snowfall_freq100_to149(self, snowfall_freq100_to149):
        """Sets the snowfall_freq100_to149 of this ClimatologyDayObj.


        :param snowfall_freq100_to149: The snowfall_freq100_to149 of this ClimatologyDayObj.  # noqa: E501
        :type: SnowfallFreq100To149
        """

        self._snowfall_freq100_to149 = snowfall_freq100_to149

    @property
    def snowfall_freq150_to249(self):
        """Gets the snowfall_freq150_to249 of this ClimatologyDayObj.  # noqa: E501


        :return: The snowfall_freq150_to249 of this ClimatologyDayObj.  # noqa: E501
        :rtype: SnowfallFreq150To249
        """
        return self._snowfall_freq150_to249

    @snowfall_freq150_to249.setter
    def snowfall_freq150_to249(self, snowfall_freq150_to249):
        """Sets the snowfall_freq150_to249 of this ClimatologyDayObj.


        :param snowfall_freq150_to249: The snowfall_freq150_to249 of this ClimatologyDayObj.  # noqa: E501
        :type: SnowfallFreq150To249
        """

        self._snowfall_freq150_to249 = snowfall_freq150_to249

    @property
    def snowfall_freq250_plus(self):
        """Gets the snowfall_freq250_plus of this ClimatologyDayObj.  # noqa: E501


        :return: The snowfall_freq250_plus of this ClimatologyDayObj.  # noqa: E501
        :rtype: SnowfallFreq250Plus
        """
        return self._snowfall_freq250_plus

    @snowfall_freq250_plus.setter
    def snowfall_freq250_plus(self, snowfall_freq250_plus):
        """Sets the snowfall_freq250_plus of this ClimatologyDayObj.


        :param snowfall_freq250_plus: The snowfall_freq250_plus of this ClimatologyDayObj.  # noqa: E501
        :type: SnowfallFreq250Plus
        """

        self._snowfall_freq250_plus = snowfall_freq250_plus

    @property
    def spc_hum_min(self):
        """Gets the spc_hum_min of this ClimatologyDayObj.  # noqa: E501


        :return: The spc_hum_min of this ClimatologyDayObj.  # noqa: E501
        :rtype: SpcHumMin
        """
        return self._spc_hum_min

    @spc_hum_min.setter
    def spc_hum_min(self, spc_hum_min):
        """Sets the spc_hum_min of this ClimatologyDayObj.


        :param spc_hum_min: The spc_hum_min of this ClimatologyDayObj.  # noqa: E501
        :type: SpcHumMin
        """

        self._spc_hum_min = spc_hum_min

    @property
    def spc_hum_min_sd(self):
        """Gets the spc_hum_min_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The spc_hum_min_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: SpcHumMinSd
        """
        return self._spc_hum_min_sd

    @spc_hum_min_sd.setter
    def spc_hum_min_sd(self, spc_hum_min_sd):
        """Sets the spc_hum_min_sd of this ClimatologyDayObj.


        :param spc_hum_min_sd: The spc_hum_min_sd of this ClimatologyDayObj.  # noqa: E501
        :type: SpcHumMinSd
        """

        self._spc_hum_min_sd = spc_hum_min_sd

    @property
    def spc_hum_avg(self):
        """Gets the spc_hum_avg of this ClimatologyDayObj.  # noqa: E501


        :return: The spc_hum_avg of this ClimatologyDayObj.  # noqa: E501
        :rtype: SpcHumAvg
        """
        return self._spc_hum_avg

    @spc_hum_avg.setter
    def spc_hum_avg(self, spc_hum_avg):
        """Sets the spc_hum_avg of this ClimatologyDayObj.


        :param spc_hum_avg: The spc_hum_avg of this ClimatologyDayObj.  # noqa: E501
        :type: SpcHumAvg
        """

        self._spc_hum_avg = spc_hum_avg

    @property
    def spc_hum_avg_sd(self):
        """Gets the spc_hum_avg_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The spc_hum_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: SpcHumAvgSd
        """
        return self._spc_hum_avg_sd

    @spc_hum_avg_sd.setter
    def spc_hum_avg_sd(self, spc_hum_avg_sd):
        """Sets the spc_hum_avg_sd of this ClimatologyDayObj.


        :param spc_hum_avg_sd: The spc_hum_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :type: SpcHumAvgSd
        """

        self._spc_hum_avg_sd = spc_hum_avg_sd

    @property
    def spc_hum_max(self):
        """Gets the spc_hum_max of this ClimatologyDayObj.  # noqa: E501


        :return: The spc_hum_max of this ClimatologyDayObj.  # noqa: E501
        :rtype: SpcHumMax
        """
        return self._spc_hum_max

    @spc_hum_max.setter
    def spc_hum_max(self, spc_hum_max):
        """Sets the spc_hum_max of this ClimatologyDayObj.


        :param spc_hum_max: The spc_hum_max of this ClimatologyDayObj.  # noqa: E501
        :type: SpcHumMax
        """

        self._spc_hum_max = spc_hum_max

    @property
    def spc_hum_max_sd(self):
        """Gets the spc_hum_max_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The spc_hum_max_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: SpcHumMaxSd
        """
        return self._spc_hum_max_sd

    @spc_hum_max_sd.setter
    def spc_hum_max_sd(self, spc_hum_max_sd):
        """Sets the spc_hum_max_sd of this ClimatologyDayObj.


        :param spc_hum_max_sd: The spc_hum_max_sd of this ClimatologyDayObj.  # noqa: E501
        :type: SpcHumMaxSd
        """

        self._spc_hum_max_sd = spc_hum_max_sd

    @property
    def temp_min(self):
        """Gets the temp_min of this ClimatologyDayObj.  # noqa: E501


        :return: The temp_min of this ClimatologyDayObj.  # noqa: E501
        :rtype: TempMin
        """
        return self._temp_min

    @temp_min.setter
    def temp_min(self, temp_min):
        """Sets the temp_min of this ClimatologyDayObj.


        :param temp_min: The temp_min of this ClimatologyDayObj.  # noqa: E501
        :type: TempMin
        """

        self._temp_min = temp_min

    @property
    def temp_min_sd(self):
        """Gets the temp_min_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The temp_min_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: TempMinSd
        """
        return self._temp_min_sd

    @temp_min_sd.setter
    def temp_min_sd(self, temp_min_sd):
        """Sets the temp_min_sd of this ClimatologyDayObj.


        :param temp_min_sd: The temp_min_sd of this ClimatologyDayObj.  # noqa: E501
        :type: TempMinSd
        """

        self._temp_min_sd = temp_min_sd

    @property
    def temp_avg(self):
        """Gets the temp_avg of this ClimatologyDayObj.  # noqa: E501


        :return: The temp_avg of this ClimatologyDayObj.  # noqa: E501
        :rtype: TempAvg
        """
        return self._temp_avg

    @temp_avg.setter
    def temp_avg(self, temp_avg):
        """Sets the temp_avg of this ClimatologyDayObj.


        :param temp_avg: The temp_avg of this ClimatologyDayObj.  # noqa: E501
        :type: TempAvg
        """

        self._temp_avg = temp_avg

    @property
    def temp_avg_sd(self):
        """Gets the temp_avg_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The temp_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: TempAvgSd
        """
        return self._temp_avg_sd

    @temp_avg_sd.setter
    def temp_avg_sd(self, temp_avg_sd):
        """Sets the temp_avg_sd of this ClimatologyDayObj.


        :param temp_avg_sd: The temp_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :type: TempAvgSd
        """

        self._temp_avg_sd = temp_avg_sd

    @property
    def temp_max(self):
        """Gets the temp_max of this ClimatologyDayObj.  # noqa: E501


        :return: The temp_max of this ClimatologyDayObj.  # noqa: E501
        :rtype: TempMax
        """
        return self._temp_max

    @temp_max.setter
    def temp_max(self, temp_max):
        """Sets the temp_max of this ClimatologyDayObj.


        :param temp_max: The temp_max of this ClimatologyDayObj.  # noqa: E501
        :type: TempMax
        """

        self._temp_max = temp_max

    @property
    def temp_max_sd(self):
        """Gets the temp_max_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The temp_max_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: TempMaxSd
        """
        return self._temp_max_sd

    @temp_max_sd.setter
    def temp_max_sd(self, temp_max_sd):
        """Sets the temp_max_sd of this ClimatologyDayObj.


        :param temp_max_sd: The temp_max_sd of this ClimatologyDayObj.  # noqa: E501
        :type: TempMaxSd
        """

        self._temp_max_sd = temp_max_sd

    @property
    def wet_bulb_min(self):
        """Gets the wet_bulb_min of this ClimatologyDayObj.  # noqa: E501


        :return: The wet_bulb_min of this ClimatologyDayObj.  # noqa: E501
        :rtype: WetBulbMin
        """
        return self._wet_bulb_min

    @wet_bulb_min.setter
    def wet_bulb_min(self, wet_bulb_min):
        """Sets the wet_bulb_min of this ClimatologyDayObj.


        :param wet_bulb_min: The wet_bulb_min of this ClimatologyDayObj.  # noqa: E501
        :type: WetBulbMin
        """

        self._wet_bulb_min = wet_bulb_min

    @property
    def wet_bulb_min_sd(self):
        """Gets the wet_bulb_min_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The wet_bulb_min_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: WetBulbMinSd
        """
        return self._wet_bulb_min_sd

    @wet_bulb_min_sd.setter
    def wet_bulb_min_sd(self, wet_bulb_min_sd):
        """Sets the wet_bulb_min_sd of this ClimatologyDayObj.


        :param wet_bulb_min_sd: The wet_bulb_min_sd of this ClimatologyDayObj.  # noqa: E501
        :type: WetBulbMinSd
        """

        self._wet_bulb_min_sd = wet_bulb_min_sd

    @property
    def wet_bulb_avg(self):
        """Gets the wet_bulb_avg of this ClimatologyDayObj.  # noqa: E501


        :return: The wet_bulb_avg of this ClimatologyDayObj.  # noqa: E501
        :rtype: WetBulbAvg
        """
        return self._wet_bulb_avg

    @wet_bulb_avg.setter
    def wet_bulb_avg(self, wet_bulb_avg):
        """Sets the wet_bulb_avg of this ClimatologyDayObj.


        :param wet_bulb_avg: The wet_bulb_avg of this ClimatologyDayObj.  # noqa: E501
        :type: WetBulbAvg
        """

        self._wet_bulb_avg = wet_bulb_avg

    @property
    def wet_bulb_avg_sd(self):
        """Gets the wet_bulb_avg_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The wet_bulb_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: WetBulbAvgSd
        """
        return self._wet_bulb_avg_sd

    @wet_bulb_avg_sd.setter
    def wet_bulb_avg_sd(self, wet_bulb_avg_sd):
        """Sets the wet_bulb_avg_sd of this ClimatologyDayObj.


        :param wet_bulb_avg_sd: The wet_bulb_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :type: WetBulbAvgSd
        """

        self._wet_bulb_avg_sd = wet_bulb_avg_sd

    @property
    def wet_bulb_max(self):
        """Gets the wet_bulb_max of this ClimatologyDayObj.  # noqa: E501


        :return: The wet_bulb_max of this ClimatologyDayObj.  # noqa: E501
        :rtype: WetBulbMax
        """
        return self._wet_bulb_max

    @wet_bulb_max.setter
    def wet_bulb_max(self, wet_bulb_max):
        """Sets the wet_bulb_max of this ClimatologyDayObj.


        :param wet_bulb_max: The wet_bulb_max of this ClimatologyDayObj.  # noqa: E501
        :type: WetBulbMax
        """

        self._wet_bulb_max = wet_bulb_max

    @property
    def wet_bulb_max_sd(self):
        """Gets the wet_bulb_max_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The wet_bulb_max_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: WetBulbMaxSd
        """
        return self._wet_bulb_max_sd

    @wet_bulb_max_sd.setter
    def wet_bulb_max_sd(self, wet_bulb_max_sd):
        """Sets the wet_bulb_max_sd of this ClimatologyDayObj.


        :param wet_bulb_max_sd: The wet_bulb_max_sd of this ClimatologyDayObj.  # noqa: E501
        :type: WetBulbMaxSd
        """

        self._wet_bulb_max_sd = wet_bulb_max_sd

    @property
    def wind_dir_avg(self):
        """Gets the wind_dir_avg of this ClimatologyDayObj.  # noqa: E501


        :return: The wind_dir_avg of this ClimatologyDayObj.  # noqa: E501
        :rtype: WindDirAvg
        """
        return self._wind_dir_avg

    @wind_dir_avg.setter
    def wind_dir_avg(self, wind_dir_avg):
        """Sets the wind_dir_avg of this ClimatologyDayObj.


        :param wind_dir_avg: The wind_dir_avg of this ClimatologyDayObj.  # noqa: E501
        :type: WindDirAvg
        """

        self._wind_dir_avg = wind_dir_avg

    @property
    def wind_dir80m_avg(self):
        """Gets the wind_dir80m_avg of this ClimatologyDayObj.  # noqa: E501


        :return: The wind_dir80m_avg of this ClimatologyDayObj.  # noqa: E501
        :rtype: WindDir80mAvg
        """
        return self._wind_dir80m_avg

    @wind_dir80m_avg.setter
    def wind_dir80m_avg(self, wind_dir80m_avg):
        """Sets the wind_dir80m_avg of this ClimatologyDayObj.


        :param wind_dir80m_avg: The wind_dir80m_avg of this ClimatologyDayObj.  # noqa: E501
        :type: WindDir80mAvg
        """

        self._wind_dir80m_avg = wind_dir80m_avg

    @property
    def wind_dir100m_avg(self):
        """Gets the wind_dir100m_avg of this ClimatologyDayObj.  # noqa: E501


        :return: The wind_dir100m_avg of this ClimatologyDayObj.  # noqa: E501
        :rtype: WindDir100mAvg
        """
        return self._wind_dir100m_avg

    @wind_dir100m_avg.setter
    def wind_dir100m_avg(self, wind_dir100m_avg):
        """Sets the wind_dir100m_avg of this ClimatologyDayObj.


        :param wind_dir100m_avg: The wind_dir100m_avg of this ClimatologyDayObj.  # noqa: E501
        :type: WindDir100mAvg
        """

        self._wind_dir100m_avg = wind_dir100m_avg

    @property
    def wind_spd_min(self):
        """Gets the wind_spd_min of this ClimatologyDayObj.  # noqa: E501


        :return: The wind_spd_min of this ClimatologyDayObj.  # noqa: E501
        :rtype: WindSpdMin
        """
        return self._wind_spd_min

    @wind_spd_min.setter
    def wind_spd_min(self, wind_spd_min):
        """Sets the wind_spd_min of this ClimatologyDayObj.


        :param wind_spd_min: The wind_spd_min of this ClimatologyDayObj.  # noqa: E501
        :type: WindSpdMin
        """

        self._wind_spd_min = wind_spd_min

    @property
    def wind_spd_min_sd(self):
        """Gets the wind_spd_min_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The wind_spd_min_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: WindSpdMinSd
        """
        return self._wind_spd_min_sd

    @wind_spd_min_sd.setter
    def wind_spd_min_sd(self, wind_spd_min_sd):
        """Sets the wind_spd_min_sd of this ClimatologyDayObj.


        :param wind_spd_min_sd: The wind_spd_min_sd of this ClimatologyDayObj.  # noqa: E501
        :type: WindSpdMinSd
        """

        self._wind_spd_min_sd = wind_spd_min_sd

    @property
    def wind_spd_avg(self):
        """Gets the wind_spd_avg of this ClimatologyDayObj.  # noqa: E501


        :return: The wind_spd_avg of this ClimatologyDayObj.  # noqa: E501
        :rtype: WindSpdAvg
        """
        return self._wind_spd_avg

    @wind_spd_avg.setter
    def wind_spd_avg(self, wind_spd_avg):
        """Sets the wind_spd_avg of this ClimatologyDayObj.


        :param wind_spd_avg: The wind_spd_avg of this ClimatologyDayObj.  # noqa: E501
        :type: WindSpdAvg
        """

        self._wind_spd_avg = wind_spd_avg

    @property
    def wind_spd_avg_sd(self):
        """Gets the wind_spd_avg_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The wind_spd_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: WindSpdAvgSd
        """
        return self._wind_spd_avg_sd

    @wind_spd_avg_sd.setter
    def wind_spd_avg_sd(self, wind_spd_avg_sd):
        """Sets the wind_spd_avg_sd of this ClimatologyDayObj.


        :param wind_spd_avg_sd: The wind_spd_avg_sd of this ClimatologyDayObj.  # noqa: E501
        :type: WindSpdAvgSd
        """

        self._wind_spd_avg_sd = wind_spd_avg_sd

    @property
    def wind_spd_max(self):
        """Gets the wind_spd_max of this ClimatologyDayObj.  # noqa: E501


        :return: The wind_spd_max of this ClimatologyDayObj.  # noqa: E501
        :rtype: WindSpdMax
        """
        return self._wind_spd_max

    @wind_spd_max.setter
    def wind_spd_max(self, wind_spd_max):
        """Sets the wind_spd_max of this ClimatologyDayObj.


        :param wind_spd_max: The wind_spd_max of this ClimatologyDayObj.  # noqa: E501
        :type: WindSpdMax
        """

        self._wind_spd_max = wind_spd_max

    @property
    def wind_spd_max_sd(self):
        """Gets the wind_spd_max_sd of this ClimatologyDayObj.  # noqa: E501


        :return: The wind_spd_max_sd of this ClimatologyDayObj.  # noqa: E501
        :rtype: WindSpdMaxSd
        """
        return self._wind_spd_max_sd

    @wind_spd_max_sd.setter
    def wind_spd_max_sd(self, wind_spd_max_sd):
        """Sets the wind_spd_max_sd of this ClimatologyDayObj.


        :param wind_spd_max_sd: The wind_spd_max_sd of this ClimatologyDayObj.  # noqa: E501
        :type: WindSpdMaxSd
        """

        self._wind_spd_max_sd = wind_spd_max_sd

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ClimatologyDayObj, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ClimatologyDayObj):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
