# coding: utf-8

"""
    Weather Source Climatology API

    Daily and hourly climatological weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Climatology API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class ClimatologyHourObj(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'timestamp': 'Timestamp',
        'cld_cvr': 'CldCvr',
        'cld_cvr_sd': 'CldCvrSd',
        'dew_pt': 'DewPt',
        'dew_pt_sd': 'DewPtSd',
        'feels_like': 'FeelsLike',
        'feels_like_sd': 'FeelsLikeSd',
        'msl_pres': 'MslPres',
        'msl_pres_sd': 'MslPresSd',
        'precip': 'Precip',
        'precip_sd': 'PrecipSd',
        'precip_freq': 'PrecipFreq',
        'precip_freq0': 'PrecipFreq0',
        'precip_freq001_to009': 'PrecipFreq001To009',
        'precip_freq010_to024': 'PrecipFreq010To024',
        'precip_freq025_to049': 'PrecipFreq025To049',
        'precip_freq050_to099': 'PrecipFreq050To099',
        'precip_freq100_to249': 'PrecipFreq100To249',
        'precip_freq250_to499': 'PrecipFreq250To499',
        'precip_freq500_plus': 'PrecipFreq500Plus',
        'rad_solar': 'RadSolar',
        'rad_solar_sd': 'RadSolarSd',
        'rel_hum': 'RelHum',
        'rel_hum_sd': 'RelHumSd',
        'sfc_pres': 'SfcPres',
        'sfc_pres_sd': 'SfcPresSd',
        'snowfall': 'Snowfall',
        'snowfall_sd': 'SnowfallSd',
        'spc_hum': 'SpcHum',
        'spc_hum_sd': 'SpcHumSd',
        'temp': 'Temp',
        'temp_sd': 'TempSd',
        'wet_bulb': 'WetBulb',
        'wet_bulb_sd': 'WetBulbSd',
        'wind_dir': 'WindDir',
        'wind_dir80m': 'WindDir80m',
        'wind_dir100m': 'WindDir100m',
        'wind_spd': 'WindSpd',
        'wind_spd_sd': 'WindSpdSd',
        'wind_vec_spd': 'WindVecSpd',
        'wind_vec_spd80m': 'WindVecSpd80m',
        'wind_vec_spd100m': 'WindVecSpd100m'
    }

    attribute_map = {
        'timestamp': 'timestamp',
        'cld_cvr': 'cldCvr',
        'cld_cvr_sd': 'cldCvrSd',
        'dew_pt': 'dewPt',
        'dew_pt_sd': 'dewPtSd',
        'feels_like': 'feelsLike',
        'feels_like_sd': 'feelsLikeSd',
        'msl_pres': 'mslPres',
        'msl_pres_sd': 'mslPresSd',
        'precip': 'precip',
        'precip_sd': 'precipSd',
        'precip_freq': 'precipFreq',
        'precip_freq0': 'precipFreq0',
        'precip_freq001_to009': 'precipFreq001To009',
        'precip_freq010_to024': 'precipFreq010To024',
        'precip_freq025_to049': 'precipFreq025To049',
        'precip_freq050_to099': 'precipFreq050To099',
        'precip_freq100_to249': 'precipFreq100To249',
        'precip_freq250_to499': 'precipFreq250To499',
        'precip_freq500_plus': 'precipFreq500Plus',
        'rad_solar': 'radSolar',
        'rad_solar_sd': 'radSolarSd',
        'rel_hum': 'relHum',
        'rel_hum_sd': 'relHumSd',
        'sfc_pres': 'sfcPres',
        'sfc_pres_sd': 'sfcPresSd',
        'snowfall': 'snowfall',
        'snowfall_sd': 'snowfallSd',
        'spc_hum': 'spcHum',
        'spc_hum_sd': 'spcHumSd',
        'temp': 'temp',
        'temp_sd': 'tempSd',
        'wet_bulb': 'wetBulb',
        'wet_bulb_sd': 'wetBulbSd',
        'wind_dir': 'windDir',
        'wind_dir80m': 'windDir80m',
        'wind_dir100m': 'windDir100m',
        'wind_spd': 'windSpd',
        'wind_spd_sd': 'windSpdSd',
        'wind_vec_spd': 'windVecSpd',
        'wind_vec_spd80m': 'windVecSpd80m',
        'wind_vec_spd100m': 'windVecSpd100m'
    }

    def __init__(self, timestamp=None, cld_cvr=None, cld_cvr_sd=None, dew_pt=None, dew_pt_sd=None, feels_like=None, feels_like_sd=None, msl_pres=None, msl_pres_sd=None, precip=None, precip_sd=None, precip_freq=None, precip_freq0=None, precip_freq001_to009=None, precip_freq010_to024=None, precip_freq025_to049=None, precip_freq050_to099=None, precip_freq100_to249=None, precip_freq250_to499=None, precip_freq500_plus=None, rad_solar=None, rad_solar_sd=None, rel_hum=None, rel_hum_sd=None, sfc_pres=None, sfc_pres_sd=None, snowfall=None, snowfall_sd=None, spc_hum=None, spc_hum_sd=None, temp=None, temp_sd=None, wet_bulb=None, wet_bulb_sd=None, wind_dir=None, wind_dir80m=None, wind_dir100m=None, wind_spd=None, wind_spd_sd=None, wind_vec_spd=None, wind_vec_spd80m=None, wind_vec_spd100m=None):  # noqa: E501
        """ClimatologyHourObj - a model defined in Swagger"""  # noqa: E501
        self._timestamp = None
        self._cld_cvr = None
        self._cld_cvr_sd = None
        self._dew_pt = None
        self._dew_pt_sd = None
        self._feels_like = None
        self._feels_like_sd = None
        self._msl_pres = None
        self._msl_pres_sd = None
        self._precip = None
        self._precip_sd = None
        self._precip_freq = None
        self._precip_freq0 = None
        self._precip_freq001_to009 = None
        self._precip_freq010_to024 = None
        self._precip_freq025_to049 = None
        self._precip_freq050_to099 = None
        self._precip_freq100_to249 = None
        self._precip_freq250_to499 = None
        self._precip_freq500_plus = None
        self._rad_solar = None
        self._rad_solar_sd = None
        self._rel_hum = None
        self._rel_hum_sd = None
        self._sfc_pres = None
        self._sfc_pres_sd = None
        self._snowfall = None
        self._snowfall_sd = None
        self._spc_hum = None
        self._spc_hum_sd = None
        self._temp = None
        self._temp_sd = None
        self._wet_bulb = None
        self._wet_bulb_sd = None
        self._wind_dir = None
        self._wind_dir80m = None
        self._wind_dir100m = None
        self._wind_spd = None
        self._wind_spd_sd = None
        self._wind_vec_spd = None
        self._wind_vec_spd80m = None
        self._wind_vec_spd100m = None
        self.discriminator = None
        self.timestamp = timestamp
        if cld_cvr is not None:
            self.cld_cvr = cld_cvr
        if cld_cvr_sd is not None:
            self.cld_cvr_sd = cld_cvr_sd
        if dew_pt is not None:
            self.dew_pt = dew_pt
        if dew_pt_sd is not None:
            self.dew_pt_sd = dew_pt_sd
        if feels_like is not None:
            self.feels_like = feels_like
        if feels_like_sd is not None:
            self.feels_like_sd = feels_like_sd
        if msl_pres is not None:
            self.msl_pres = msl_pres
        if msl_pres_sd is not None:
            self.msl_pres_sd = msl_pres_sd
        if precip is not None:
            self.precip = precip
        if precip_sd is not None:
            self.precip_sd = precip_sd
        if precip_freq is not None:
            self.precip_freq = precip_freq
        if precip_freq0 is not None:
            self.precip_freq0 = precip_freq0
        if precip_freq001_to009 is not None:
            self.precip_freq001_to009 = precip_freq001_to009
        if precip_freq010_to024 is not None:
            self.precip_freq010_to024 = precip_freq010_to024
        if precip_freq025_to049 is not None:
            self.precip_freq025_to049 = precip_freq025_to049
        if precip_freq050_to099 is not None:
            self.precip_freq050_to099 = precip_freq050_to099
        if precip_freq100_to249 is not None:
            self.precip_freq100_to249 = precip_freq100_to249
        if precip_freq250_to499 is not None:
            self.precip_freq250_to499 = precip_freq250_to499
        if precip_freq500_plus is not None:
            self.precip_freq500_plus = precip_freq500_plus
        if rad_solar is not None:
            self.rad_solar = rad_solar
        if rad_solar_sd is not None:
            self.rad_solar_sd = rad_solar_sd
        if rel_hum is not None:
            self.rel_hum = rel_hum
        if rel_hum_sd is not None:
            self.rel_hum_sd = rel_hum_sd
        if sfc_pres is not None:
            self.sfc_pres = sfc_pres
        if sfc_pres_sd is not None:
            self.sfc_pres_sd = sfc_pres_sd
        if snowfall is not None:
            self.snowfall = snowfall
        if snowfall_sd is not None:
            self.snowfall_sd = snowfall_sd
        if spc_hum is not None:
            self.spc_hum = spc_hum
        if spc_hum_sd is not None:
            self.spc_hum_sd = spc_hum_sd
        if temp is not None:
            self.temp = temp
        if temp_sd is not None:
            self.temp_sd = temp_sd
        if wet_bulb is not None:
            self.wet_bulb = wet_bulb
        if wet_bulb_sd is not None:
            self.wet_bulb_sd = wet_bulb_sd
        if wind_dir is not None:
            self.wind_dir = wind_dir
        if wind_dir80m is not None:
            self.wind_dir80m = wind_dir80m
        if wind_dir100m is not None:
            self.wind_dir100m = wind_dir100m
        if wind_spd is not None:
            self.wind_spd = wind_spd
        if wind_spd_sd is not None:
            self.wind_spd_sd = wind_spd_sd
        if wind_vec_spd is not None:
            self.wind_vec_spd = wind_vec_spd
        if wind_vec_spd80m is not None:
            self.wind_vec_spd80m = wind_vec_spd80m
        if wind_vec_spd100m is not None:
            self.wind_vec_spd100m = wind_vec_spd100m

    @property
    def timestamp(self):
        """Gets the timestamp of this ClimatologyHourObj.  # noqa: E501


        :return: The timestamp of this ClimatologyHourObj.  # noqa: E501
        :rtype: Timestamp
        """
        return self._timestamp

    @timestamp.setter
    def timestamp(self, timestamp):
        """Sets the timestamp of this ClimatologyHourObj.


        :param timestamp: The timestamp of this ClimatologyHourObj.  # noqa: E501
        :type: Timestamp
        """
        if timestamp is None:
            raise ValueError("Invalid value for `timestamp`, must not be `None`")  # noqa: E501

        self._timestamp = timestamp

    @property
    def cld_cvr(self):
        """Gets the cld_cvr of this ClimatologyHourObj.  # noqa: E501


        :return: The cld_cvr of this ClimatologyHourObj.  # noqa: E501
        :rtype: CldCvr
        """
        return self._cld_cvr

    @cld_cvr.setter
    def cld_cvr(self, cld_cvr):
        """Sets the cld_cvr of this ClimatologyHourObj.


        :param cld_cvr: The cld_cvr of this ClimatologyHourObj.  # noqa: E501
        :type: CldCvr
        """

        self._cld_cvr = cld_cvr

    @property
    def cld_cvr_sd(self):
        """Gets the cld_cvr_sd of this ClimatologyHourObj.  # noqa: E501


        :return: The cld_cvr_sd of this ClimatologyHourObj.  # noqa: E501
        :rtype: CldCvrSd
        """
        return self._cld_cvr_sd

    @cld_cvr_sd.setter
    def cld_cvr_sd(self, cld_cvr_sd):
        """Sets the cld_cvr_sd of this ClimatologyHourObj.


        :param cld_cvr_sd: The cld_cvr_sd of this ClimatologyHourObj.  # noqa: E501
        :type: CldCvrSd
        """

        self._cld_cvr_sd = cld_cvr_sd

    @property
    def dew_pt(self):
        """Gets the dew_pt of this ClimatologyHourObj.  # noqa: E501


        :return: The dew_pt of this ClimatologyHourObj.  # noqa: E501
        :rtype: DewPt
        """
        return self._dew_pt

    @dew_pt.setter
    def dew_pt(self, dew_pt):
        """Sets the dew_pt of this ClimatologyHourObj.


        :param dew_pt: The dew_pt of this ClimatologyHourObj.  # noqa: E501
        :type: DewPt
        """

        self._dew_pt = dew_pt

    @property
    def dew_pt_sd(self):
        """Gets the dew_pt_sd of this ClimatologyHourObj.  # noqa: E501


        :return: The dew_pt_sd of this ClimatologyHourObj.  # noqa: E501
        :rtype: DewPtSd
        """
        return self._dew_pt_sd

    @dew_pt_sd.setter
    def dew_pt_sd(self, dew_pt_sd):
        """Sets the dew_pt_sd of this ClimatologyHourObj.


        :param dew_pt_sd: The dew_pt_sd of this ClimatologyHourObj.  # noqa: E501
        :type: DewPtSd
        """

        self._dew_pt_sd = dew_pt_sd

    @property
    def feels_like(self):
        """Gets the feels_like of this ClimatologyHourObj.  # noqa: E501


        :return: The feels_like of this ClimatologyHourObj.  # noqa: E501
        :rtype: FeelsLike
        """
        return self._feels_like

    @feels_like.setter
    def feels_like(self, feels_like):
        """Sets the feels_like of this ClimatologyHourObj.


        :param feels_like: The feels_like of this ClimatologyHourObj.  # noqa: E501
        :type: FeelsLike
        """

        self._feels_like = feels_like

    @property
    def feels_like_sd(self):
        """Gets the feels_like_sd of this ClimatologyHourObj.  # noqa: E501


        :return: The feels_like_sd of this ClimatologyHourObj.  # noqa: E501
        :rtype: FeelsLikeSd
        """
        return self._feels_like_sd

    @feels_like_sd.setter
    def feels_like_sd(self, feels_like_sd):
        """Sets the feels_like_sd of this ClimatologyHourObj.


        :param feels_like_sd: The feels_like_sd of this ClimatologyHourObj.  # noqa: E501
        :type: FeelsLikeSd
        """

        self._feels_like_sd = feels_like_sd

    @property
    def msl_pres(self):
        """Gets the msl_pres of this ClimatologyHourObj.  # noqa: E501


        :return: The msl_pres of this ClimatologyHourObj.  # noqa: E501
        :rtype: MslPres
        """
        return self._msl_pres

    @msl_pres.setter
    def msl_pres(self, msl_pres):
        """Sets the msl_pres of this ClimatologyHourObj.


        :param msl_pres: The msl_pres of this ClimatologyHourObj.  # noqa: E501
        :type: MslPres
        """

        self._msl_pres = msl_pres

    @property
    def msl_pres_sd(self):
        """Gets the msl_pres_sd of this ClimatologyHourObj.  # noqa: E501


        :return: The msl_pres_sd of this ClimatologyHourObj.  # noqa: E501
        :rtype: MslPresSd
        """
        return self._msl_pres_sd

    @msl_pres_sd.setter
    def msl_pres_sd(self, msl_pres_sd):
        """Sets the msl_pres_sd of this ClimatologyHourObj.


        :param msl_pres_sd: The msl_pres_sd of this ClimatologyHourObj.  # noqa: E501
        :type: MslPresSd
        """

        self._msl_pres_sd = msl_pres_sd

    @property
    def precip(self):
        """Gets the precip of this ClimatologyHourObj.  # noqa: E501


        :return: The precip of this ClimatologyHourObj.  # noqa: E501
        :rtype: Precip
        """
        return self._precip

    @precip.setter
    def precip(self, precip):
        """Sets the precip of this ClimatologyHourObj.


        :param precip: The precip of this ClimatologyHourObj.  # noqa: E501
        :type: Precip
        """

        self._precip = precip

    @property
    def precip_sd(self):
        """Gets the precip_sd of this ClimatologyHourObj.  # noqa: E501


        :return: The precip_sd of this ClimatologyHourObj.  # noqa: E501
        :rtype: PrecipSd
        """
        return self._precip_sd

    @precip_sd.setter
    def precip_sd(self, precip_sd):
        """Sets the precip_sd of this ClimatologyHourObj.


        :param precip_sd: The precip_sd of this ClimatologyHourObj.  # noqa: E501
        :type: PrecipSd
        """

        self._precip_sd = precip_sd

    @property
    def precip_freq(self):
        """Gets the precip_freq of this ClimatologyHourObj.  # noqa: E501


        :return: The precip_freq of this ClimatologyHourObj.  # noqa: E501
        :rtype: PrecipFreq
        """
        return self._precip_freq

    @precip_freq.setter
    def precip_freq(self, precip_freq):
        """Sets the precip_freq of this ClimatologyHourObj.


        :param precip_freq: The precip_freq of this ClimatologyHourObj.  # noqa: E501
        :type: PrecipFreq
        """

        self._precip_freq = precip_freq

    @property
    def precip_freq0(self):
        """Gets the precip_freq0 of this ClimatologyHourObj.  # noqa: E501


        :return: The precip_freq0 of this ClimatologyHourObj.  # noqa: E501
        :rtype: PrecipFreq0
        """
        return self._precip_freq0

    @precip_freq0.setter
    def precip_freq0(self, precip_freq0):
        """Sets the precip_freq0 of this ClimatologyHourObj.


        :param precip_freq0: The precip_freq0 of this ClimatologyHourObj.  # noqa: E501
        :type: PrecipFreq0
        """

        self._precip_freq0 = precip_freq0

    @property
    def precip_freq001_to009(self):
        """Gets the precip_freq001_to009 of this ClimatologyHourObj.  # noqa: E501


        :return: The precip_freq001_to009 of this ClimatologyHourObj.  # noqa: E501
        :rtype: PrecipFreq001To009
        """
        return self._precip_freq001_to009

    @precip_freq001_to009.setter
    def precip_freq001_to009(self, precip_freq001_to009):
        """Sets the precip_freq001_to009 of this ClimatologyHourObj.


        :param precip_freq001_to009: The precip_freq001_to009 of this ClimatologyHourObj.  # noqa: E501
        :type: PrecipFreq001To009
        """

        self._precip_freq001_to009 = precip_freq001_to009

    @property
    def precip_freq010_to024(self):
        """Gets the precip_freq010_to024 of this ClimatologyHourObj.  # noqa: E501


        :return: The precip_freq010_to024 of this ClimatologyHourObj.  # noqa: E501
        :rtype: PrecipFreq010To024
        """
        return self._precip_freq010_to024

    @precip_freq010_to024.setter
    def precip_freq010_to024(self, precip_freq010_to024):
        """Sets the precip_freq010_to024 of this ClimatologyHourObj.


        :param precip_freq010_to024: The precip_freq010_to024 of this ClimatologyHourObj.  # noqa: E501
        :type: PrecipFreq010To024
        """

        self._precip_freq010_to024 = precip_freq010_to024

    @property
    def precip_freq025_to049(self):
        """Gets the precip_freq025_to049 of this ClimatologyHourObj.  # noqa: E501


        :return: The precip_freq025_to049 of this ClimatologyHourObj.  # noqa: E501
        :rtype: PrecipFreq025To049
        """
        return self._precip_freq025_to049

    @precip_freq025_to049.setter
    def precip_freq025_to049(self, precip_freq025_to049):
        """Sets the precip_freq025_to049 of this ClimatologyHourObj.


        :param precip_freq025_to049: The precip_freq025_to049 of this ClimatologyHourObj.  # noqa: E501
        :type: PrecipFreq025To049
        """

        self._precip_freq025_to049 = precip_freq025_to049

    @property
    def precip_freq050_to099(self):
        """Gets the precip_freq050_to099 of this ClimatologyHourObj.  # noqa: E501


        :return: The precip_freq050_to099 of this ClimatologyHourObj.  # noqa: E501
        :rtype: PrecipFreq050To099
        """
        return self._precip_freq050_to099

    @precip_freq050_to099.setter
    def precip_freq050_to099(self, precip_freq050_to099):
        """Sets the precip_freq050_to099 of this ClimatologyHourObj.


        :param precip_freq050_to099: The precip_freq050_to099 of this ClimatologyHourObj.  # noqa: E501
        :type: PrecipFreq050To099
        """

        self._precip_freq050_to099 = precip_freq050_to099

    @property
    def precip_freq100_to249(self):
        """Gets the precip_freq100_to249 of this ClimatologyHourObj.  # noqa: E501


        :return: The precip_freq100_to249 of this ClimatologyHourObj.  # noqa: E501
        :rtype: PrecipFreq100To249
        """
        return self._precip_freq100_to249

    @precip_freq100_to249.setter
    def precip_freq100_to249(self, precip_freq100_to249):
        """Sets the precip_freq100_to249 of this ClimatologyHourObj.


        :param precip_freq100_to249: The precip_freq100_to249 of this ClimatologyHourObj.  # noqa: E501
        :type: PrecipFreq100To249
        """

        self._precip_freq100_to249 = precip_freq100_to249

    @property
    def precip_freq250_to499(self):
        """Gets the precip_freq250_to499 of this ClimatologyHourObj.  # noqa: E501


        :return: The precip_freq250_to499 of this ClimatologyHourObj.  # noqa: E501
        :rtype: PrecipFreq250To499
        """
        return self._precip_freq250_to499

    @precip_freq250_to499.setter
    def precip_freq250_to499(self, precip_freq250_to499):
        """Sets the precip_freq250_to499 of this ClimatologyHourObj.


        :param precip_freq250_to499: The precip_freq250_to499 of this ClimatologyHourObj.  # noqa: E501
        :type: PrecipFreq250To499
        """

        self._precip_freq250_to499 = precip_freq250_to499

    @property
    def precip_freq500_plus(self):
        """Gets the precip_freq500_plus of this ClimatologyHourObj.  # noqa: E501


        :return: The precip_freq500_plus of this ClimatologyHourObj.  # noqa: E501
        :rtype: PrecipFreq500Plus
        """
        return self._precip_freq500_plus

    @precip_freq500_plus.setter
    def precip_freq500_plus(self, precip_freq500_plus):
        """Sets the precip_freq500_plus of this ClimatologyHourObj.


        :param precip_freq500_plus: The precip_freq500_plus of this ClimatologyHourObj.  # noqa: E501
        :type: PrecipFreq500Plus
        """

        self._precip_freq500_plus = precip_freq500_plus

    @property
    def rad_solar(self):
        """Gets the rad_solar of this ClimatologyHourObj.  # noqa: E501


        :return: The rad_solar of this ClimatologyHourObj.  # noqa: E501
        :rtype: RadSolar
        """
        return self._rad_solar

    @rad_solar.setter
    def rad_solar(self, rad_solar):
        """Sets the rad_solar of this ClimatologyHourObj.


        :param rad_solar: The rad_solar of this ClimatologyHourObj.  # noqa: E501
        :type: RadSolar
        """

        self._rad_solar = rad_solar

    @property
    def rad_solar_sd(self):
        """Gets the rad_solar_sd of this ClimatologyHourObj.  # noqa: E501


        :return: The rad_solar_sd of this ClimatologyHourObj.  # noqa: E501
        :rtype: RadSolarSd
        """
        return self._rad_solar_sd

    @rad_solar_sd.setter
    def rad_solar_sd(self, rad_solar_sd):
        """Sets the rad_solar_sd of this ClimatologyHourObj.


        :param rad_solar_sd: The rad_solar_sd of this ClimatologyHourObj.  # noqa: E501
        :type: RadSolarSd
        """

        self._rad_solar_sd = rad_solar_sd

    @property
    def rel_hum(self):
        """Gets the rel_hum of this ClimatologyHourObj.  # noqa: E501


        :return: The rel_hum of this ClimatologyHourObj.  # noqa: E501
        :rtype: RelHum
        """
        return self._rel_hum

    @rel_hum.setter
    def rel_hum(self, rel_hum):
        """Sets the rel_hum of this ClimatologyHourObj.


        :param rel_hum: The rel_hum of this ClimatologyHourObj.  # noqa: E501
        :type: RelHum
        """

        self._rel_hum = rel_hum

    @property
    def rel_hum_sd(self):
        """Gets the rel_hum_sd of this ClimatologyHourObj.  # noqa: E501


        :return: The rel_hum_sd of this ClimatologyHourObj.  # noqa: E501
        :rtype: RelHumSd
        """
        return self._rel_hum_sd

    @rel_hum_sd.setter
    def rel_hum_sd(self, rel_hum_sd):
        """Sets the rel_hum_sd of this ClimatologyHourObj.


        :param rel_hum_sd: The rel_hum_sd of this ClimatologyHourObj.  # noqa: E501
        :type: RelHumSd
        """

        self._rel_hum_sd = rel_hum_sd

    @property
    def sfc_pres(self):
        """Gets the sfc_pres of this ClimatologyHourObj.  # noqa: E501


        :return: The sfc_pres of this ClimatologyHourObj.  # noqa: E501
        :rtype: SfcPres
        """
        return self._sfc_pres

    @sfc_pres.setter
    def sfc_pres(self, sfc_pres):
        """Sets the sfc_pres of this ClimatologyHourObj.


        :param sfc_pres: The sfc_pres of this ClimatologyHourObj.  # noqa: E501
        :type: SfcPres
        """

        self._sfc_pres = sfc_pres

    @property
    def sfc_pres_sd(self):
        """Gets the sfc_pres_sd of this ClimatologyHourObj.  # noqa: E501


        :return: The sfc_pres_sd of this ClimatologyHourObj.  # noqa: E501
        :rtype: SfcPresSd
        """
        return self._sfc_pres_sd

    @sfc_pres_sd.setter
    def sfc_pres_sd(self, sfc_pres_sd):
        """Sets the sfc_pres_sd of this ClimatologyHourObj.


        :param sfc_pres_sd: The sfc_pres_sd of this ClimatologyHourObj.  # noqa: E501
        :type: SfcPresSd
        """

        self._sfc_pres_sd = sfc_pres_sd

    @property
    def snowfall(self):
        """Gets the snowfall of this ClimatologyHourObj.  # noqa: E501


        :return: The snowfall of this ClimatologyHourObj.  # noqa: E501
        :rtype: Snowfall
        """
        return self._snowfall

    @snowfall.setter
    def snowfall(self, snowfall):
        """Sets the snowfall of this ClimatologyHourObj.


        :param snowfall: The snowfall of this ClimatologyHourObj.  # noqa: E501
        :type: Snowfall
        """

        self._snowfall = snowfall

    @property
    def snowfall_sd(self):
        """Gets the snowfall_sd of this ClimatologyHourObj.  # noqa: E501


        :return: The snowfall_sd of this ClimatologyHourObj.  # noqa: E501
        :rtype: SnowfallSd
        """
        return self._snowfall_sd

    @snowfall_sd.setter
    def snowfall_sd(self, snowfall_sd):
        """Sets the snowfall_sd of this ClimatologyHourObj.


        :param snowfall_sd: The snowfall_sd of this ClimatologyHourObj.  # noqa: E501
        :type: SnowfallSd
        """

        self._snowfall_sd = snowfall_sd

    @property
    def spc_hum(self):
        """Gets the spc_hum of this ClimatologyHourObj.  # noqa: E501


        :return: The spc_hum of this ClimatologyHourObj.  # noqa: E501
        :rtype: SpcHum
        """
        return self._spc_hum

    @spc_hum.setter
    def spc_hum(self, spc_hum):
        """Sets the spc_hum of this ClimatologyHourObj.


        :param spc_hum: The spc_hum of this ClimatologyHourObj.  # noqa: E501
        :type: SpcHum
        """

        self._spc_hum = spc_hum

    @property
    def spc_hum_sd(self):
        """Gets the spc_hum_sd of this ClimatologyHourObj.  # noqa: E501


        :return: The spc_hum_sd of this ClimatologyHourObj.  # noqa: E501
        :rtype: SpcHumSd
        """
        return self._spc_hum_sd

    @spc_hum_sd.setter
    def spc_hum_sd(self, spc_hum_sd):
        """Sets the spc_hum_sd of this ClimatologyHourObj.


        :param spc_hum_sd: The spc_hum_sd of this ClimatologyHourObj.  # noqa: E501
        :type: SpcHumSd
        """

        self._spc_hum_sd = spc_hum_sd

    @property
    def temp(self):
        """Gets the temp of this ClimatologyHourObj.  # noqa: E501


        :return: The temp of this ClimatologyHourObj.  # noqa: E501
        :rtype: Temp
        """
        return self._temp

    @temp.setter
    def temp(self, temp):
        """Sets the temp of this ClimatologyHourObj.


        :param temp: The temp of this ClimatologyHourObj.  # noqa: E501
        :type: Temp
        """

        self._temp = temp

    @property
    def temp_sd(self):
        """Gets the temp_sd of this ClimatologyHourObj.  # noqa: E501


        :return: The temp_sd of this ClimatologyHourObj.  # noqa: E501
        :rtype: TempSd
        """
        return self._temp_sd

    @temp_sd.setter
    def temp_sd(self, temp_sd):
        """Sets the temp_sd of this ClimatologyHourObj.


        :param temp_sd: The temp_sd of this ClimatologyHourObj.  # noqa: E501
        :type: TempSd
        """

        self._temp_sd = temp_sd

    @property
    def wet_bulb(self):
        """Gets the wet_bulb of this ClimatologyHourObj.  # noqa: E501


        :return: The wet_bulb of this ClimatologyHourObj.  # noqa: E501
        :rtype: WetBulb
        """
        return self._wet_bulb

    @wet_bulb.setter
    def wet_bulb(self, wet_bulb):
        """Sets the wet_bulb of this ClimatologyHourObj.


        :param wet_bulb: The wet_bulb of this ClimatologyHourObj.  # noqa: E501
        :type: WetBulb
        """

        self._wet_bulb = wet_bulb

    @property
    def wet_bulb_sd(self):
        """Gets the wet_bulb_sd of this ClimatologyHourObj.  # noqa: E501


        :return: The wet_bulb_sd of this ClimatologyHourObj.  # noqa: E501
        :rtype: WetBulbSd
        """
        return self._wet_bulb_sd

    @wet_bulb_sd.setter
    def wet_bulb_sd(self, wet_bulb_sd):
        """Sets the wet_bulb_sd of this ClimatologyHourObj.


        :param wet_bulb_sd: The wet_bulb_sd of this ClimatologyHourObj.  # noqa: E501
        :type: WetBulbSd
        """

        self._wet_bulb_sd = wet_bulb_sd

    @property
    def wind_dir(self):
        """Gets the wind_dir of this ClimatologyHourObj.  # noqa: E501


        :return: The wind_dir of this ClimatologyHourObj.  # noqa: E501
        :rtype: WindDir
        """
        return self._wind_dir

    @wind_dir.setter
    def wind_dir(self, wind_dir):
        """Sets the wind_dir of this ClimatologyHourObj.


        :param wind_dir: The wind_dir of this ClimatologyHourObj.  # noqa: E501
        :type: WindDir
        """

        self._wind_dir = wind_dir

    @property
    def wind_dir80m(self):
        """Gets the wind_dir80m of this ClimatologyHourObj.  # noqa: E501


        :return: The wind_dir80m of this ClimatologyHourObj.  # noqa: E501
        :rtype: WindDir80m
        """
        return self._wind_dir80m

    @wind_dir80m.setter
    def wind_dir80m(self, wind_dir80m):
        """Sets the wind_dir80m of this ClimatologyHourObj.


        :param wind_dir80m: The wind_dir80m of this ClimatologyHourObj.  # noqa: E501
        :type: WindDir80m
        """

        self._wind_dir80m = wind_dir80m

    @property
    def wind_dir100m(self):
        """Gets the wind_dir100m of this ClimatologyHourObj.  # noqa: E501


        :return: The wind_dir100m of this ClimatologyHourObj.  # noqa: E501
        :rtype: WindDir100m
        """
        return self._wind_dir100m

    @wind_dir100m.setter
    def wind_dir100m(self, wind_dir100m):
        """Sets the wind_dir100m of this ClimatologyHourObj.


        :param wind_dir100m: The wind_dir100m of this ClimatologyHourObj.  # noqa: E501
        :type: WindDir100m
        """

        self._wind_dir100m = wind_dir100m

    @property
    def wind_spd(self):
        """Gets the wind_spd of this ClimatologyHourObj.  # noqa: E501


        :return: The wind_spd of this ClimatologyHourObj.  # noqa: E501
        :rtype: WindSpd
        """
        return self._wind_spd

    @wind_spd.setter
    def wind_spd(self, wind_spd):
        """Sets the wind_spd of this ClimatologyHourObj.


        :param wind_spd: The wind_spd of this ClimatologyHourObj.  # noqa: E501
        :type: WindSpd
        """

        self._wind_spd = wind_spd

    @property
    def wind_spd_sd(self):
        """Gets the wind_spd_sd of this ClimatologyHourObj.  # noqa: E501


        :return: The wind_spd_sd of this ClimatologyHourObj.  # noqa: E501
        :rtype: WindSpdSd
        """
        return self._wind_spd_sd

    @wind_spd_sd.setter
    def wind_spd_sd(self, wind_spd_sd):
        """Sets the wind_spd_sd of this ClimatologyHourObj.


        :param wind_spd_sd: The wind_spd_sd of this ClimatologyHourObj.  # noqa: E501
        :type: WindSpdSd
        """

        self._wind_spd_sd = wind_spd_sd

    @property
    def wind_vec_spd(self):
        """Gets the wind_vec_spd of this ClimatologyHourObj.  # noqa: E501


        :return: The wind_vec_spd of this ClimatologyHourObj.  # noqa: E501
        :rtype: WindVecSpd
        """
        return self._wind_vec_spd

    @wind_vec_spd.setter
    def wind_vec_spd(self, wind_vec_spd):
        """Sets the wind_vec_spd of this ClimatologyHourObj.


        :param wind_vec_spd: The wind_vec_spd of this ClimatologyHourObj.  # noqa: E501
        :type: WindVecSpd
        """

        self._wind_vec_spd = wind_vec_spd

    @property
    def wind_vec_spd80m(self):
        """Gets the wind_vec_spd80m of this ClimatologyHourObj.  # noqa: E501


        :return: The wind_vec_spd80m of this ClimatologyHourObj.  # noqa: E501
        :rtype: WindVecSpd80m
        """
        return self._wind_vec_spd80m

    @wind_vec_spd80m.setter
    def wind_vec_spd80m(self, wind_vec_spd80m):
        """Sets the wind_vec_spd80m of this ClimatologyHourObj.


        :param wind_vec_spd80m: The wind_vec_spd80m of this ClimatologyHourObj.  # noqa: E501
        :type: WindVecSpd80m
        """

        self._wind_vec_spd80m = wind_vec_spd80m

    @property
    def wind_vec_spd100m(self):
        """Gets the wind_vec_spd100m of this ClimatologyHourObj.  # noqa: E501


        :return: The wind_vec_spd100m of this ClimatologyHourObj.  # noqa: E501
        :rtype: WindVecSpd100m
        """
        return self._wind_vec_spd100m

    @wind_vec_spd100m.setter
    def wind_vec_spd100m(self, wind_vec_spd100m):
        """Sets the wind_vec_spd100m of this ClimatologyHourObj.


        :param wind_vec_spd100m: The wind_vec_spd100m of this ClimatologyHourObj.  # noqa: E501
        :type: WindVecSpd100m
        """

        self._wind_vec_spd100m = wind_vec_spd100m

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ClimatologyHourObj, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ClimatologyHourObj):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
