# coding: utf-8

"""
    Weather Source Climatology API

    Daily and hourly climatological weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Climatology API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class ClimatologyPointDayObj(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'location': 'PointObj',
        'date_range': 'DateRangeObj',
        'field_list': 'FieldListDayObj',
        'climatology': 'ClimatologyDayArr'
    }

    attribute_map = {
        'location': 'location',
        'date_range': 'dateRange',
        'field_list': 'fieldList',
        'climatology': 'climatology'
    }

    def __init__(self, location=None, date_range=None, field_list=None, climatology=None):  # noqa: E501
        """ClimatologyPointDayObj - a model defined in Swagger"""  # noqa: E501
        self._location = None
        self._date_range = None
        self._field_list = None
        self._climatology = None
        self.discriminator = None
        self.location = location
        self.date_range = date_range
        self.field_list = field_list
        self.climatology = climatology

    @property
    def location(self):
        """Gets the location of this ClimatologyPointDayObj.  # noqa: E501


        :return: The location of this ClimatologyPointDayObj.  # noqa: E501
        :rtype: PointObj
        """
        return self._location

    @location.setter
    def location(self, location):
        """Sets the location of this ClimatologyPointDayObj.


        :param location: The location of this ClimatologyPointDayObj.  # noqa: E501
        :type: PointObj
        """
        if location is None:
            raise ValueError("Invalid value for `location`, must not be `None`")  # noqa: E501

        self._location = location

    @property
    def date_range(self):
        """Gets the date_range of this ClimatologyPointDayObj.  # noqa: E501


        :return: The date_range of this ClimatologyPointDayObj.  # noqa: E501
        :rtype: DateRangeObj
        """
        return self._date_range

    @date_range.setter
    def date_range(self, date_range):
        """Sets the date_range of this ClimatologyPointDayObj.


        :param date_range: The date_range of this ClimatologyPointDayObj.  # noqa: E501
        :type: DateRangeObj
        """
        if date_range is None:
            raise ValueError("Invalid value for `date_range`, must not be `None`")  # noqa: E501

        self._date_range = date_range

    @property
    def field_list(self):
        """Gets the field_list of this ClimatologyPointDayObj.  # noqa: E501


        :return: The field_list of this ClimatologyPointDayObj.  # noqa: E501
        :rtype: FieldListDayObj
        """
        return self._field_list

    @field_list.setter
    def field_list(self, field_list):
        """Sets the field_list of this ClimatologyPointDayObj.


        :param field_list: The field_list of this ClimatologyPointDayObj.  # noqa: E501
        :type: FieldListDayObj
        """
        if field_list is None:
            raise ValueError("Invalid value for `field_list`, must not be `None`")  # noqa: E501

        self._field_list = field_list

    @property
    def climatology(self):
        """Gets the climatology of this ClimatologyPointDayObj.  # noqa: E501


        :return: The climatology of this ClimatologyPointDayObj.  # noqa: E501
        :rtype: ClimatologyDayArr
        """
        return self._climatology

    @climatology.setter
    def climatology(self, climatology):
        """Sets the climatology of this ClimatologyPointDayObj.


        :param climatology: The climatology of this ClimatologyPointDayObj.  # noqa: E501
        :type: ClimatologyDayArr
        """
        if climatology is None:
            raise ValueError("Invalid value for `climatology`, must not be `None`")  # noqa: E501

        self._climatology = climatology

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ClimatologyPointDayObj, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ClimatologyPointDayObj):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
