# coding: utf-8

"""
    Weather Source Climatology API

    Daily and hourly climatological weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Climatology API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class DateRangeObj(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'date_start': 'DateStart',
        'date_end': 'DateEnd'
    }

    attribute_map = {
        'date_start': 'dateStart',
        'date_end': 'dateEnd'
    }

    def __init__(self, date_start=None, date_end=None):  # noqa: E501
        """DateRangeObj - a model defined in Swagger"""  # noqa: E501
        self._date_start = None
        self._date_end = None
        self.discriminator = None
        self.date_start = date_start
        self.date_end = date_end

    @property
    def date_start(self):
        """Gets the date_start of this DateRangeObj.  # noqa: E501


        :return: The date_start of this DateRangeObj.  # noqa: E501
        :rtype: DateStart
        """
        return self._date_start

    @date_start.setter
    def date_start(self, date_start):
        """Sets the date_start of this DateRangeObj.


        :param date_start: The date_start of this DateRangeObj.  # noqa: E501
        :type: DateStart
        """
        if date_start is None:
            raise ValueError("Invalid value for `date_start`, must not be `None`")  # noqa: E501

        self._date_start = date_start

    @property
    def date_end(self):
        """Gets the date_end of this DateRangeObj.  # noqa: E501


        :return: The date_end of this DateRangeObj.  # noqa: E501
        :rtype: DateEnd
        """
        return self._date_end

    @date_end.setter
    def date_end(self, date_end):
        """Sets the date_end of this DateRangeObj.


        :param date_end: The date_end of this DateRangeObj.  # noqa: E501
        :type: DateEnd
        """
        if date_end is None:
            raise ValueError("Invalid value for `date_end`, must not be `None`")  # noqa: E501

        self._date_end = date_end

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(DateRangeObj, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, DateRangeObj):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
