# coding: utf-8

"""
    Weather Source Climatology API

    Daily and hourly climatological weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Climatology API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class DmaObj(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'dma_id': 'DmaId',
        'dma_name': 'DmaName',
        'timezone': 'Timezone',
        'population': 'Population',
        'country_code': 'CountryCode',
        'country_name': 'CountryName',
        'sample_points': 'SamplePoints',
        'grid': 'Grid'
    }

    attribute_map = {
        'dma_id': 'dmaId',
        'dma_name': 'dmaName',
        'timezone': 'timezone',
        'population': 'population',
        'country_code': 'countryCode',
        'country_name': 'countryName',
        'sample_points': 'samplePoints',
        'grid': 'grid'
    }

    def __init__(self, dma_id=None, dma_name=None, timezone=None, population=None, country_code=None, country_name=None, sample_points=None, grid=None):  # noqa: E501
        """DmaObj - a model defined in Swagger"""  # noqa: E501
        self._dma_id = None
        self._dma_name = None
        self._timezone = None
        self._population = None
        self._country_code = None
        self._country_name = None
        self._sample_points = None
        self._grid = None
        self.discriminator = None
        self.dma_id = dma_id
        self.dma_name = dma_name
        self.timezone = timezone
        self.population = population
        self.country_code = country_code
        self.country_name = country_name
        self.sample_points = sample_points
        self.grid = grid

    @property
    def dma_id(self):
        """Gets the dma_id of this DmaObj.  # noqa: E501


        :return: The dma_id of this DmaObj.  # noqa: E501
        :rtype: DmaId
        """
        return self._dma_id

    @dma_id.setter
    def dma_id(self, dma_id):
        """Sets the dma_id of this DmaObj.


        :param dma_id: The dma_id of this DmaObj.  # noqa: E501
        :type: DmaId
        """
        if dma_id is None:
            raise ValueError("Invalid value for `dma_id`, must not be `None`")  # noqa: E501

        self._dma_id = dma_id

    @property
    def dma_name(self):
        """Gets the dma_name of this DmaObj.  # noqa: E501


        :return: The dma_name of this DmaObj.  # noqa: E501
        :rtype: DmaName
        """
        return self._dma_name

    @dma_name.setter
    def dma_name(self, dma_name):
        """Sets the dma_name of this DmaObj.


        :param dma_name: The dma_name of this DmaObj.  # noqa: E501
        :type: DmaName
        """
        if dma_name is None:
            raise ValueError("Invalid value for `dma_name`, must not be `None`")  # noqa: E501

        self._dma_name = dma_name

    @property
    def timezone(self):
        """Gets the timezone of this DmaObj.  # noqa: E501


        :return: The timezone of this DmaObj.  # noqa: E501
        :rtype: Timezone
        """
        return self._timezone

    @timezone.setter
    def timezone(self, timezone):
        """Sets the timezone of this DmaObj.


        :param timezone: The timezone of this DmaObj.  # noqa: E501
        :type: Timezone
        """
        if timezone is None:
            raise ValueError("Invalid value for `timezone`, must not be `None`")  # noqa: E501

        self._timezone = timezone

    @property
    def population(self):
        """Gets the population of this DmaObj.  # noqa: E501


        :return: The population of this DmaObj.  # noqa: E501
        :rtype: Population
        """
        return self._population

    @population.setter
    def population(self, population):
        """Sets the population of this DmaObj.


        :param population: The population of this DmaObj.  # noqa: E501
        :type: Population
        """
        if population is None:
            raise ValueError("Invalid value for `population`, must not be `None`")  # noqa: E501

        self._population = population

    @property
    def country_code(self):
        """Gets the country_code of this DmaObj.  # noqa: E501


        :return: The country_code of this DmaObj.  # noqa: E501
        :rtype: CountryCode
        """
        return self._country_code

    @country_code.setter
    def country_code(self, country_code):
        """Sets the country_code of this DmaObj.


        :param country_code: The country_code of this DmaObj.  # noqa: E501
        :type: CountryCode
        """
        if country_code is None:
            raise ValueError("Invalid value for `country_code`, must not be `None`")  # noqa: E501

        self._country_code = country_code

    @property
    def country_name(self):
        """Gets the country_name of this DmaObj.  # noqa: E501


        :return: The country_name of this DmaObj.  # noqa: E501
        :rtype: CountryName
        """
        return self._country_name

    @country_name.setter
    def country_name(self, country_name):
        """Sets the country_name of this DmaObj.


        :param country_name: The country_name of this DmaObj.  # noqa: E501
        :type: CountryName
        """
        if country_name is None:
            raise ValueError("Invalid value for `country_name`, must not be `None`")  # noqa: E501

        self._country_name = country_name

    @property
    def sample_points(self):
        """Gets the sample_points of this DmaObj.  # noqa: E501


        :return: The sample_points of this DmaObj.  # noqa: E501
        :rtype: SamplePoints
        """
        return self._sample_points

    @sample_points.setter
    def sample_points(self, sample_points):
        """Sets the sample_points of this DmaObj.


        :param sample_points: The sample_points of this DmaObj.  # noqa: E501
        :type: SamplePoints
        """
        if sample_points is None:
            raise ValueError("Invalid value for `sample_points`, must not be `None`")  # noqa: E501

        self._sample_points = sample_points

    @property
    def grid(self):
        """Gets the grid of this DmaObj.  # noqa: E501


        :return: The grid of this DmaObj.  # noqa: E501
        :rtype: Grid
        """
        return self._grid

    @grid.setter
    def grid(self, grid):
        """Sets the grid of this DmaObj.


        :param grid: The grid of this DmaObj.  # noqa: E501
        :type: Grid
        """
        if grid is None:
            raise ValueError("Invalid value for `grid`, must not be `None`")  # noqa: E501

        self._grid = grid

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(DmaObj, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, DmaObj):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
