# coding: utf-8

"""
    Weather Source Climatology API

    Daily and hourly climatological weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Climatology API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class PointObj(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'latitude': 'Latitude',
        'longitude': 'Longitude',
        'timezone': 'Timezone',
        'country_code': 'CountryCode',
        'country_name': 'CountryName',
        'subdiv_code': 'SubdivCode',
        'subdiv_name': 'SubdivName',
        'bounding_points': 'BoundingPoints',
        'grid': 'Grid'
    }

    attribute_map = {
        'latitude': 'latitude',
        'longitude': 'longitude',
        'timezone': 'timezone',
        'country_code': 'countryCode',
        'country_name': 'countryName',
        'subdiv_code': 'subdivCode',
        'subdiv_name': 'subdivName',
        'bounding_points': 'boundingPoints',
        'grid': 'grid'
    }

    def __init__(self, latitude=None, longitude=None, timezone=None, country_code=None, country_name=None, subdiv_code=None, subdiv_name=None, bounding_points=None, grid=None):  # noqa: E501
        """PointObj - a model defined in Swagger"""  # noqa: E501
        self._latitude = None
        self._longitude = None
        self._timezone = None
        self._country_code = None
        self._country_name = None
        self._subdiv_code = None
        self._subdiv_name = None
        self._bounding_points = None
        self._grid = None
        self.discriminator = None
        self.latitude = latitude
        self.longitude = longitude
        self.timezone = timezone
        if country_code is not None:
            self.country_code = country_code
        if country_name is not None:
            self.country_name = country_name
        if subdiv_code is not None:
            self.subdiv_code = subdiv_code
        if subdiv_name is not None:
            self.subdiv_name = subdiv_name
        self.bounding_points = bounding_points
        self.grid = grid

    @property
    def latitude(self):
        """Gets the latitude of this PointObj.  # noqa: E501


        :return: The latitude of this PointObj.  # noqa: E501
        :rtype: Latitude
        """
        return self._latitude

    @latitude.setter
    def latitude(self, latitude):
        """Sets the latitude of this PointObj.


        :param latitude: The latitude of this PointObj.  # noqa: E501
        :type: Latitude
        """
        if latitude is None:
            raise ValueError("Invalid value for `latitude`, must not be `None`")  # noqa: E501

        self._latitude = latitude

    @property
    def longitude(self):
        """Gets the longitude of this PointObj.  # noqa: E501


        :return: The longitude of this PointObj.  # noqa: E501
        :rtype: Longitude
        """
        return self._longitude

    @longitude.setter
    def longitude(self, longitude):
        """Sets the longitude of this PointObj.


        :param longitude: The longitude of this PointObj.  # noqa: E501
        :type: Longitude
        """
        if longitude is None:
            raise ValueError("Invalid value for `longitude`, must not be `None`")  # noqa: E501

        self._longitude = longitude

    @property
    def timezone(self):
        """Gets the timezone of this PointObj.  # noqa: E501


        :return: The timezone of this PointObj.  # noqa: E501
        :rtype: Timezone
        """
        return self._timezone

    @timezone.setter
    def timezone(self, timezone):
        """Sets the timezone of this PointObj.


        :param timezone: The timezone of this PointObj.  # noqa: E501
        :type: Timezone
        """
        if timezone is None:
            raise ValueError("Invalid value for `timezone`, must not be `None`")  # noqa: E501

        self._timezone = timezone

    @property
    def country_code(self):
        """Gets the country_code of this PointObj.  # noqa: E501


        :return: The country_code of this PointObj.  # noqa: E501
        :rtype: CountryCode
        """
        return self._country_code

    @country_code.setter
    def country_code(self, country_code):
        """Sets the country_code of this PointObj.


        :param country_code: The country_code of this PointObj.  # noqa: E501
        :type: CountryCode
        """

        self._country_code = country_code

    @property
    def country_name(self):
        """Gets the country_name of this PointObj.  # noqa: E501


        :return: The country_name of this PointObj.  # noqa: E501
        :rtype: CountryName
        """
        return self._country_name

    @country_name.setter
    def country_name(self, country_name):
        """Sets the country_name of this PointObj.


        :param country_name: The country_name of this PointObj.  # noqa: E501
        :type: CountryName
        """

        self._country_name = country_name

    @property
    def subdiv_code(self):
        """Gets the subdiv_code of this PointObj.  # noqa: E501


        :return: The subdiv_code of this PointObj.  # noqa: E501
        :rtype: SubdivCode
        """
        return self._subdiv_code

    @subdiv_code.setter
    def subdiv_code(self, subdiv_code):
        """Sets the subdiv_code of this PointObj.


        :param subdiv_code: The subdiv_code of this PointObj.  # noqa: E501
        :type: SubdivCode
        """

        self._subdiv_code = subdiv_code

    @property
    def subdiv_name(self):
        """Gets the subdiv_name of this PointObj.  # noqa: E501


        :return: The subdiv_name of this PointObj.  # noqa: E501
        :rtype: SubdivName
        """
        return self._subdiv_name

    @subdiv_name.setter
    def subdiv_name(self, subdiv_name):
        """Sets the subdiv_name of this PointObj.


        :param subdiv_name: The subdiv_name of this PointObj.  # noqa: E501
        :type: SubdivName
        """

        self._subdiv_name = subdiv_name

    @property
    def bounding_points(self):
        """Gets the bounding_points of this PointObj.  # noqa: E501


        :return: The bounding_points of this PointObj.  # noqa: E501
        :rtype: BoundingPoints
        """
        return self._bounding_points

    @bounding_points.setter
    def bounding_points(self, bounding_points):
        """Sets the bounding_points of this PointObj.


        :param bounding_points: The bounding_points of this PointObj.  # noqa: E501
        :type: BoundingPoints
        """
        if bounding_points is None:
            raise ValueError("Invalid value for `bounding_points`, must not be `None`")  # noqa: E501

        self._bounding_points = bounding_points

    @property
    def grid(self):
        """Gets the grid of this PointObj.  # noqa: E501


        :return: The grid of this PointObj.  # noqa: E501
        :rtype: Grid
        """
        return self._grid

    @grid.setter
    def grid(self, grid):
        """Sets the grid of this PointObj.


        :param grid: The grid of this PointObj.  # noqa: E501
        :type: Grid
        """
        if grid is None:
            raise ValueError("Invalid value for `grid`, must not be `None`")  # noqa: E501

        self._grid = grid

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(PointObj, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, PointObj):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
