# coding: utf-8

"""
    Weather Source Climatology API

    Daily and hourly climatological weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Climatology API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class SamplePointsInner(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'onpoint_id': 'OnpointId',
        'latitude': 'Latitude',
        'longitude': 'Longitude',
        'grid': 'Grid',
        'distance': 'DistancePop'
    }

    attribute_map = {
        'onpoint_id': 'onpointId',
        'latitude': 'latitude',
        'longitude': 'longitude',
        'grid': 'grid',
        'distance': 'distance'
    }

    def __init__(self, onpoint_id=None, latitude=None, longitude=None, grid=None, distance=None):  # noqa: E501
        """SamplePointsInner - a model defined in Swagger"""  # noqa: E501
        self._onpoint_id = None
        self._latitude = None
        self._longitude = None
        self._grid = None
        self._distance = None
        self.discriminator = None
        self.onpoint_id = onpoint_id
        self.latitude = latitude
        self.longitude = longitude
        self.grid = grid
        self.distance = distance

    @property
    def onpoint_id(self):
        """Gets the onpoint_id of this SamplePointsInner.  # noqa: E501


        :return: The onpoint_id of this SamplePointsInner.  # noqa: E501
        :rtype: OnpointId
        """
        return self._onpoint_id

    @onpoint_id.setter
    def onpoint_id(self, onpoint_id):
        """Sets the onpoint_id of this SamplePointsInner.


        :param onpoint_id: The onpoint_id of this SamplePointsInner.  # noqa: E501
        :type: OnpointId
        """
        if onpoint_id is None:
            raise ValueError("Invalid value for `onpoint_id`, must not be `None`")  # noqa: E501

        self._onpoint_id = onpoint_id

    @property
    def latitude(self):
        """Gets the latitude of this SamplePointsInner.  # noqa: E501


        :return: The latitude of this SamplePointsInner.  # noqa: E501
        :rtype: Latitude
        """
        return self._latitude

    @latitude.setter
    def latitude(self, latitude):
        """Sets the latitude of this SamplePointsInner.


        :param latitude: The latitude of this SamplePointsInner.  # noqa: E501
        :type: Latitude
        """
        if latitude is None:
            raise ValueError("Invalid value for `latitude`, must not be `None`")  # noqa: E501

        self._latitude = latitude

    @property
    def longitude(self):
        """Gets the longitude of this SamplePointsInner.  # noqa: E501


        :return: The longitude of this SamplePointsInner.  # noqa: E501
        :rtype: Longitude
        """
        return self._longitude

    @longitude.setter
    def longitude(self, longitude):
        """Sets the longitude of this SamplePointsInner.


        :param longitude: The longitude of this SamplePointsInner.  # noqa: E501
        :type: Longitude
        """
        if longitude is None:
            raise ValueError("Invalid value for `longitude`, must not be `None`")  # noqa: E501

        self._longitude = longitude

    @property
    def grid(self):
        """Gets the grid of this SamplePointsInner.  # noqa: E501


        :return: The grid of this SamplePointsInner.  # noqa: E501
        :rtype: Grid
        """
        return self._grid

    @grid.setter
    def grid(self, grid):
        """Sets the grid of this SamplePointsInner.


        :param grid: The grid of this SamplePointsInner.  # noqa: E501
        :type: Grid
        """
        if grid is None:
            raise ValueError("Invalid value for `grid`, must not be `None`")  # noqa: E501

        self._grid = grid

    @property
    def distance(self):
        """Gets the distance of this SamplePointsInner.  # noqa: E501


        :return: The distance of this SamplePointsInner.  # noqa: E501
        :rtype: DistancePop
        """
        return self._distance

    @distance.setter
    def distance(self, distance):
        """Sets the distance of this SamplePointsInner.


        :param distance: The distance of this SamplePointsInner.  # noqa: E501
        :type: DistancePop
        """
        if distance is None:
            raise ValueError("Invalid value for `distance`, must not be `None`")  # noqa: E501

        self._distance = distance

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(SamplePointsInner, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, SamplePointsInner):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
