# coding: utf-8

"""
    Weather Source Climatology API

    Daily and hourly climatological weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Climatology API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six


class TimestampRangeObj(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'timestamp_start': 'TimestampStart',
        'timestamp_end': 'TimestampEnd'
    }

    attribute_map = {
        'timestamp_start': 'timestampStart',
        'timestamp_end': 'timestampEnd'
    }

    def __init__(self, timestamp_start=None, timestamp_end=None):  # noqa: E501
        """TimestampRangeObj - a model defined in Swagger"""  # noqa: E501
        self._timestamp_start = None
        self._timestamp_end = None
        self.discriminator = None
        self.timestamp_start = timestamp_start
        self.timestamp_end = timestamp_end

    @property
    def timestamp_start(self):
        """Gets the timestamp_start of this TimestampRangeObj.  # noqa: E501


        :return: The timestamp_start of this TimestampRangeObj.  # noqa: E501
        :rtype: TimestampStart
        """
        return self._timestamp_start

    @timestamp_start.setter
    def timestamp_start(self, timestamp_start):
        """Sets the timestamp_start of this TimestampRangeObj.


        :param timestamp_start: The timestamp_start of this TimestampRangeObj.  # noqa: E501
        :type: TimestampStart
        """
        if timestamp_start is None:
            raise ValueError("Invalid value for `timestamp_start`, must not be `None`")  # noqa: E501

        self._timestamp_start = timestamp_start

    @property
    def timestamp_end(self):
        """Gets the timestamp_end of this TimestampRangeObj.  # noqa: E501


        :return: The timestamp_end of this TimestampRangeObj.  # noqa: E501
        :rtype: TimestampEnd
        """
        return self._timestamp_end

    @timestamp_end.setter
    def timestamp_end(self, timestamp_end):
        """Sets the timestamp_end of this TimestampRangeObj.


        :param timestamp_end: The timestamp_end of this TimestampRangeObj.  # noqa: E501
        :type: TimestampEnd
        """
        if timestamp_end is None:
            raise ValueError("Invalid value for `timestamp_end`, must not be `None`")  # noqa: E501

        self._timestamp_end = timestamp_end

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(TimestampRangeObj, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, TimestampRangeObj):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
