# coding: utf-8

"""
    Weather Source Climatology API

    Daily and hourly climatological weather data for latitude/longitude points, ZIP/Postal Codes, Designated Market Areas, and OnPoint™ points. The Weather Source Climatology API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  An API key is required to authorize requests. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/).   # noqa: E501

    OpenAPI spec version: 2.0.0
    Contact: support@weathersource.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import swagger_client
from api.postcodes_api import PostcodesApi  # noqa: E501
from swagger_client.rest import ApiException


class TestPostcodesApi(unittest.TestCase):
    """PostcodesApi unit test stubs"""

    def setUp(self):
        self.api = api.postcodes_api.PostcodesApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_postcodes_postcodecountry_code_days_date_get(self):
        """Test case for postcodes_postcodecountry_code_days_date_get

        A day of weather climatology for a postcode.  # noqa: E501
        """
        pass

    def test_postcodes_postcodecountry_code_days_date_startdate_end_get(self):
        """Test case for postcodes_postcodecountry_code_days_date_startdate_end_get

        A contiguous range of daily weather climatology for a postcode.  # noqa: E501
        """
        pass

    def test_postcodes_postcodecountry_code_hours_timestamp_get(self):
        """Test case for postcodes_postcodecountry_code_hours_timestamp_get

        An hour of weather climatology for a postcode.  # noqa: E501
        """
        pass

    def test_postcodes_postcodecountry_code_hours_timestamp_starttimestamp_end_get(self):
        """Test case for postcodes_postcodecountry_code_hours_timestamp_starttimestamp_end_get

        A contiguous range of hourly weather climatology for a postcode.  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
